function D = Dfk_circ_P_1D(k, x, A, B, N, a, b);

%Note that by the chain rule:
%
%  D[f^n o P](x) =  [Df]|_{f^(n-1) o P (x)}  o ...
%                         ... o [Df]|_{P(x)} o [d/dx P]
%

%Need innermost terms for Chain Rule.
P_x = [horner(x, A, N);
       horner(x, B, N)];
   
DP_at_x = evaluate_differential_1D(x, A, B, N);
Df_at_Px = henonDf(P_x, a, b);

%Chain Rule for D[f o P](s,t):
D_of_f_circ_P_at_x = Df_at_Px*DP_at_x;

Differential = D_of_f_circ_P_at_x;

%Apply the chain rule iteratively to 
%compute D[f^k o P](x):
for n = 2:k
   %Evaluate z = [f^{n-1} o P](x):
   fn_minusOne_circP = iterate_point_k(P_x, n-1, a, b);
   %evaluate Df at z:
   Df_at_fn_minusOne_circP = ...
       henonDf(fn_minusOne_circP, a, b);
   %Chain Rule: compose with previous stuff:
   Differential = Df_at_fn_minusOne_circP*Differential;  
end    

D = Differential;