function T1 = MTP_T1cloud(center, radius, numTheta)

%==========================================================================
%
%This geometric utility function returns numTheta points uniformly 
%distributed on a circle of the prescribed radius centered at the 
%prescribed point.
%
%==========================================================================

theta_step = 2*pi/numTheta;
thetas = (0.0:theta_step:(2*pi));

for j = 1:numTheta
    D(j, 1:2) = radius*[cos(thetas(j)), sin(thetas(j))]; 
end

D(:,1) = D(:,1) + center(1);
D(:,2) = D(:,2) + center(2);

T1 = D;
return