%matToPov Heteroclinic Lorenz script: Run after found heteroclinic orbit.



[D0s, TRI_0s] = MTPparmDisk(20, 35, domRad0_s);
figure
hold on
triplot(TRI_0s, D0s(:,1),  D0s(:,2), 'red');


[Ws0_loc] = MTPconvert_parmSurf(D0s, TRI_0s, P0_s1, P0_s2, P0_s3, N0_s);



[D1u, TRI_1u] = MTPparmDisk(20, 35, domRad1_u);
figure
hold on
triplot(TRI_1u, D1u(:,1),  D1u(:,2), 'blue');



[Wu1_loc] = MTPconvert_parmSurf_complex(D1u, TRI_1u, P1_u1, P1_u2, P1_u3, N1_u);

figure
hold on
plot3(Wu1_loc(:,1), Wu1_loc(:,2), Wu1_loc(:,3), 'b.');
plot3(Wu1_loc(:,4), Wu1_loc(:,5), Wu1_loc(:,6), 'b.');
plot3(Wu1_loc(:,7), Wu1_loc(:,8), Wu1_loc(:,9), 'b.');

plot3(Ws0_loc(:,1), Ws0_loc(:,2), Ws0_loc(:,3), 'r.');
plot3(Ws0_loc(:,4), Ws0_loc(:,5), Ws0_loc(:,6), 'r.');
plot3(Ws0_loc(:,7), Ws0_loc(:,8), Ws0_loc(:,9), 'r.');


fid = fopen('lorenzTest_II.pov', 'w');

%BASIC OPERATION of MatToPov UTILTIES.
%MTPwrite_basicHeader(fid, cameraLoc, lookAt, rotate)
%MTPwrite_pointCloud(fid, dataCloud, rad, color)
%[retVal] = MTPwrite_pointCloud(fid, Ws1(:, 2:4), 0.015, [1 0 0]);

% 

 [retVal] = MTPwrite_basicHeader(fid, [50 ...
                                       0 ...
                                       0],...
                                       (p1-p0)/2, [0 0 0]);

                                  
                                   
[output_1] = MTPwrite_surfTriangulation(fid, Ws0_loc, [1 0 0], 0.0)                                   
           

[output_2] = MTPwrite_surfTriangulation(fid, Wu1_loc, [0 0 1], 0.0)  
%                                   
%                                   
[retVal] = MTPwrite_pointCloud(fid, y(:, 1:3), 0.25, [0 1 0]);
% [retVal] = MTPwrite_pointCloud(fid, fk_s_Ps_fund(:, 1:3), 0.015, [1 0 0]);
% 
% 
fclose(fid);                








