function varargout = MTPconvert_polySurf(Domain, TRI, A, B)

%==================================================================
%
%This function takes the image of the Domain triangulation under 
%the N-th order polynomial function determined by the coefficients 
%contained in  the matrices A, B, C, and returns a POVRAY ready 
%vertex list called `vertices'.  The vertex list can then be 
%translated into a povray image representing a triangulation of
%the surface.
%
%==================================================================

%Measure Triangulation Size:
tempSizeVect = size(TRI);
sizeTri = tempSizeVect(1,1);

verticies = zeros(sizeTri, 9);
%Build Parameter Points:
x = Domain(:,1);
y = Domain(:,2);

%Compute Image of Domain Triangulaiton:
for (k = 1:sizeTri)
  x1 = x(TRI(k, 1)); 
  y1 = y(TRI(k, 1));
  
  x2 = x(TRI(k, 2)); 
  y2 = y(TRI(k, 2));
  
  x3 = x(TRI(k, 3)); 
  y3 = y(TRI(k, 3));
  
  p1 = polyval()
  %p1 = evaluate_poly_2_3(x1, y1, A, B, C, N);
  %p2 = evaluate_poly_2_3(x2, y2, A, B, C, N);
  %p3 = evaluate_poly_2_3(x3, y3, A, B, C, N);
  
  vertices(k, 1:3) = p1; 
  vertices(k, 4:6) = p2;
  vertices(k, 7:9) = p3;

end    

%Return surface triangulation:
varargout(1,1) = {vertices};
return