function varargout = MTPparmDisk(numRadii, numAngles, R)

%==================================================================
%
%
%
%==================================================================


%==========================================================================
%Produce the local stable parameter set, and their images.
%==========================================================================

m = numRadii;  %number of radi.
n = numAngles; %number of angles.

totalPossiblePoints = m*n;
D_parms = zeros(totalPossiblePoints, 2);

r_step = R/m;
theta_step = 2*pi/n;

u_pointNum = 1;
s_pointNum = 1;

the_rs = linspace(0.05*R, R, m);
thetas = linspace(0.0, 2*pi, n);


for i = 1:m
   rad_number = i;
    for j = 1:n
       thisIndex = i*(n-1) + j;
       thisRay = the_rs(i)*[cos(thetas(j)), sin(thetas(j))]; 
       D_parms(thisIndex, 1:2) = [thisRay(1), thisRay(2)];    
    end
end    

D_parms = unique(D_parms, 'rows');

%==========================================================================
%Triangulate the parameter domain:
%==========================================================================

x = D_parms(:,1);
y = D_parms(:,2);

TRI = delaunay(x, y);

%figure
%hold on
%triplot(TRI, D_parms(:,1),  D_parms(:,2), 'red');


%Return surface triangulation:
varargout(1,1) = {D_parms};
varargout(1,2) = {TRI};
return