function varargout = MTPwrite_basicHeader(fid, cameraLoc, lookAt, rotate)

%===============================================================
%
%This function writes a basic header for a PovRay
%rendering.
%
%cameraLoc: vector containing the location of the camera
%lookAt:    vector containing the focal point of the camera
%
%===============================================================


fprintf(fid, '%s\n', '#include "colors.inc" ');
fprintf(fid, '%s\n', '#include "textures.inc" ');
fprintf(fid, '%s\n', '#include "functions.inc" ');
fprintf(fid, '%s\n', '#include "logo.inc" ');

fprintf(fid, '%s\n', '    ');  
fprintf(fid, '%s\n', 'global_settings ');
fprintf(fid, '%s\n', '{ ');
fprintf(fid, '%s\n', '  max_trace_level 15 ');
fprintf(fid, '%s\n', '}         ');


fprintf(fid, '%s\n', '    ');  
fprintf(fid, '%s\n', '// first, the camera position ');
fprintf(fid, '%s\n', 'camera { ');

outstr = ['location <' num2str(cameraLoc(1)),  ',', num2str(cameraLoc(2)), ',', num2str(cameraLoc(3)), '>'];
  fprintf(fid, '%s \n', outstr); 
outstr = ['look_at <', num2str(lookAt(1)),  ',', num2str(lookAt(2)), ',', num2str(lookAt(3)), '>'];
  fprintf(fid, '%s \n', outstr); 
outstr = ['rotate <', num2str(rotate(1)),  ',', num2str(rotate(2)), ',', num2str(rotate(3)), '>'];
  fprintf(fid, '%s \n', outstr);
  
fprintf(fid, '%s\n', '} ');

fprintf(fid, '%s\n', '    ');  
fprintf(fid, '%s\n', '// now, some light ');
fprintf(fid, '%s\n', 'light_source {         ');                   
fprintf(fid, '%s\n', '  <0, 0, 60> ');
fprintf(fid, '%s\n', '  color rgb <1,1,1> ');
fprintf(fid, '%s\n', '  rotate <0, 100, -310> ');
fprintf(fid, '%s\n', '} ');

fprintf(fid, '%s\n', '    ');  
fprintf(fid, '%s\n', '// now, some light ');
fprintf(fid, '%s\n', 'light_source {         ');                   
fprintf(fid, '%s\n', '  <-60, -60, -60> ');
fprintf(fid, '%s\n', '  color rgb <1,1,1> ');
fprintf(fid, '%s\n', '  rotate <0, 0, 0> ');
fprintf(fid, '%s\n', '} ');
     

fprintf(fid, '%s\n', '    ');  
fprintf(fid, '%s\n', '// now, some light ');
fprintf(fid, '%s\n', 'light_source {         ');                   
fprintf(fid, '%s\n', '  <60, 60, 60> ');
fprintf(fid, '%s\n', '  color rgb <1,1,1> ');
fprintf(fid, '%s\n', '  rotate <45, 0, 0> ');
fprintf(fid, '%s\n', '} ');


fprintf(fid, '%s\n', '    ');  
fprintf(fid, '%s\n', 'plane { ');
fprintf(fid, '%s\n', '  x, -150 ');
fprintf(fid, '%s\n', '  texture { ');
fprintf(fid, '%s\n', '    pigment { color rgb <.8,.8,.8> } ');
fprintf(fid, '%s\n', '    //normal { ');
fprintf(fid, '%s\n', '    //  ripples 0.5 ');
fprintf(fid, '%s\n', '    //} ');
fprintf(fid, '%s\n', '  } ');
fprintf(fid, '%s\n', '} ');


varargout(1,1) = {1};

return