

clear 
format long


%Lorenz Parameters:
sigma = intval('10')                          
beta = intval('8')/intval('3')
rho = intval('13.9265')
%rho = intval('28')



%Parameter Domains:
tau = intval('0.02');
domRad0 = intval('0.2'); 


%Parameterization Controls:
M = 5
N = 9


scale_eigs = intval(1)

p0 = [intval(0);
      intval(0);
      intval(0)];


[lambda1, lambda3, lambda2, xi1, xi3, xi2, ...
 lambda_series1, lambda_series3, lambda_series2, ...
 xi_1_series1, xi_2_series1, xi_3_series1, ...
 xi_1_series3, xi_2_series3, xi_3_series3, ...
 xi_1_series2, xi_2_series2, xi_3_series2, ...
 delta_lambda1, delta_lambda3, delta_lambda2, ...
 delta_xi1, delta_xi3, delta_xi2] = ...
        lorenz_linearSeriesAtOrigin_intval(M, tau, scale_eigs, ...
                                           sigma, beta, rho);


Q = [xi1, xi3, xi2];
Q_inv = inv(Q);

% 
% %==========================================================================
% %Compute 2D manifold coefficients at omega = 0:
% %==========================================================================
% 
% [QN1, QN2, QN3] = lorenz_2D_manifold_intval(p0, lambda1, lambda2, xi1, xi2, ...
%                                       sigma, rho, beta, N, intval(1));
% 
%                                 
% %==========================================================================                                  
% %2D Manifold Residual:     
% %==========================================================================
%                       
%                               
%    
% 
% [goodComputation, delta0] = lorenzApostori_intval(N, scale_eigs, ... 
%                                          sigma, rho, beta, domRad0, ...
%                                          QN1, QN2, QN3,lambda1,lambda2,...
%                                          Q, Q_inv);                             
% 
% 
% 
% delta0  
% 
% 
% 
%                      
% %==========================================================================
% %Compute rho partial of 2D PN at omega = 0 (i.e. first order term in omega).
% %==========================================================================
% 
% [QN1_rho, QN2_rho, QN3_rho] = lorenz_2D_rhoPartial_at0_intval(p0, lambda1, lambda2, ...
%                                                        xi1, xi2, QN1, QN2, QN3, ...
%                                                        sigma, rho, beta, N, 1);
% 
% 
% 
% %==========================================================================
% %Omega Partial at omega = 0; 2D Residuial:
% %==========================================================================
% 
% E_N_residual_rho2D= residual_2D_rhoPartial_at0_intval(QN1, QN2, QN3, ...
%     QN1_rho, QN2_rho, QN3_rho, ...
%     lambda_series1, lambda_series2, lambda_series3, ...
%     domRad0, sigma, beta, rho, N)
% 
% 
% 
% 
% %==========================================================================
% %Compute 2D manifold parameter expansion in omega:
% %==========================================================================
% 
% 
% [Q_MN1, Q_MN2, Q_MN3] = ...
% lorenz_2D_stableBranch_at0_intval(...
%     QN1, QN2, QN3, QN1_rho, QN2_rho, QN3_rho, ...
%     lambda_series1, lambda_series2, ...
%     xi_1_series1, xi_2_series1, xi_3_series1, ...
%     xi_1_series2, xi_2_series2, xi_3_series2, ...
%     M, N, sigma, beta, rho);
% 
% 
% %==========================================================================
% %Omega Expansion 2D Residual Error:
% %==========================================================================
% 
% 
% E_MN_residual_2Dbranch = ...
%     residual_stableBranch_at0_intval(Q_MN1, Q_MN2, Q_MN3, ...
%     lambda_series1, lambda_series2, sigma, beta, rho, domRad0, tau, M, N)
% 





%==========================================================================
%Compute 1D manifold coefficients at omega = 0:
%==========================================================================



[PN1, PN2, PN3] = lorenz_1D_manifold_intval(p0, lambda3, xi3, ...
                                 sigma, rho, beta, N, intval(1));

 

                               
%==========================================================================                                  
%1D Manifold Residual:     
%==========================================================================

                              
                                  
[goodComputation, delta0] = lorenzApostori_1D_intval(...
                              N, intval(1), sigma, rho, beta, ...
                              domRad0, PN1, PN2, PN3, lambda3, Q, Q_inv);                             


delta0  



                     
%==========================================================================
%Compute rho partial of 1D PN at omega = 0 (i.e. first order term in omega).
%==========================================================================


[PN1_rho, PN2_rho, PN3_rho] = lorenz_1D_rhoPartial_at0_intval(...
                                      p0, lambda3, xi3, ...
                                      PN1, PN2, PN3, ...
                                      sigma, rho, beta, ... 
                                      N, intval(1));


%==========================================================================
%Omega Partial at omega = 0; 1D Residuial:
%==========================================================================


E_N_residual_rho1D= residual_1D_rhoPartial_at0_intval(PN1, PN2, PN3, ...
    PN1_rho, PN2_rho, PN3_rho, ...
    lambda_series3, domRad0, sigma, beta, rho, N)



%==========================================================================
%Compute 1D manifold parameter expansion in omega:
%==========================================================================



[P_MN1, P_MN2, P_MN3] = lorenz_1D_unstableBranch_at0_intval(...
    PN1, PN2, PN3, PN1_rho, PN2_rho, PN3_rho, lambda_series3,...
    xi_1_series3, xi_2_series3, xi_3_series3, ...
    M, N, sigma, beta, rho);




%==========================================================================
%Omega Expansion 1D Residual Error:
%==========================================================================


E_MN_residual_2Dbranch = residual_unstableBranch_at0_intval(...
            P_MN1, P_MN2, P_MN3, lambda_series3, ...
            sigma, beta, rho, domRad0, tau, M, N)


        
        
        
        
        