clear 
format long



%Lorenz Parameters:
sigma = intval('10')                          
beta = intval('8')/intval('3')
rho = intval('13.9265')
%rho = intval('28')



%Parameter Domains:
tau = intval('0.1');
domRad0 = intval('0.5'); 


%Parameterization Controls:
M = 15
N = 15




scale_eigs = intval(1)

p0 = [intval(0);
      intval(0);
      intval(0)];


[lambda1, lambda3, lambda2, xi1, xi3, xi2, ...
 lambda_series1, lambda_series3, lambda_series2, ...
 xi_1_series1, xi_2_series1, xi_3_series1, ...
 xi_1_series3, xi_2_series3, xi_3_series3, ...
 xi_1_series2, xi_2_series2, xi_3_series2, ...
 delta_lambda1, delta_lambda3, delta_lambda2, ...
 delta_xi1, delta_xi3, delta_xi2] = ...
        lorenz_linearSeriesAtOrigin_intval(M, tau, scale_eigs, ...
                                           sigma, beta, rho);


Q = [xi1, xi3, xi2];
Q_inv = inv(Q);


%Near-resonances at omega = 0:
worstResIndices = [0, 0];
worstRes = 1000000000;

for n1 = 0:N
    for n2 = 0:N
        if ((n1 + n2 >= 2) & (n1 + n2 <= N))
            n1;
            n2;
          resTest1 = abs(lambda1 - (n1*lambda1 + n2*lambda2));
          resTest3 = abs(lambda2 - (n1*lambda1 + n2*lambda2));
          resMultiIndices = [n1, n2];
          resVect = [inf(resTest1), inf(resTest3)]; 
          resTest = min(resVect);
          if resTest < worstRes
              worstResIndices = resMultiIndices;
              worstRes = resTest;
          end
        end
    end
end

worstResIndices
worstRes
            
%==========================================================================
%Build the Q_omega matrix series:             
%==========================================================================
Q_0 = [xi_1_series1(1), xi_1_series2(1), xi_1_series3(1);
       xi_2_series1(1), xi_2_series2(1), xi_2_series3(1);
       xi_3_series1(1), xi_3_series2(1), xi_3_series3(1)]



delta_Q = (delta_xi1 + delta_xi2)
Q_omega = intval(zeros(3, 3,M+1));
Q_omega(1:3, 1:3, 1) = Q_0;

for m = 1:M
    Q_m = [xi_1_series1(m+1), xi_1_series2(m+1), xi_1_series3(m+1);
           xi_2_series1(m+1), xi_2_series2(m+1), xi_2_series3(m+1);
           xi_3_series1(m+1), xi_3_series2(m+1), xi_3_series3(m+1)];
    Q_omega(1:3, 1:3, m+1) = Q_m;
end


%==========================================================================
%Invert and validate the Q series and compute matrix norms:
%==========================================================================

Q_omegaInv = matrixSeries_formalInverse_intval(Q_omega, M);




for m = 1:(M+1)
   this_Q_coef = Q_omega(1:3, 1:3, m);
   this_Qinv_coeff = Q_omegaInv(1:3, 1:3, m);
   A(m) = log(norm(this_Q_coef, inf))/log(10);
   B(m) = log(norm(this_Qinv_coeff, inf))/log(10);
end


hor_axis = linspace(0, M, M+1);
figure
hold on
plot(hor_axis(:), A(:), 'b')
plot(hor_axis(:), A(:), 'b*')
plot(hor_axis(:), B(:), 'ro')
plot(hor_axis(:), B(:), 'r')



