%% a_paperCode_Ex1 demo Taylor models of Henon fixed points.
%
%%

clear 
format long

%================ User Parameters/Controls ================================


a = intval('1.4')
b = intval('0.3')

%Parameterization Controls:
M = 15


%Parameter Domains:
tau = intval('0.23');

%=======Fixed Point (floating point formula)===============================

%First Fixed Point:
x_1 = ((b-1)/(2*a)) + (sqrt((1-b)^2 +4*a))/(2*a);
y_1 = b*x_1;

%Second Fixed Point:
x_2 = ((b-1)/(2*a)) - (sqrt((1-b)^2 +4*a))/(2*a);
y_2 = b*x_2;

f1_error = henonMap(x_1, y_1, a, b) - [x_1;y_1]
f2_error = henonMap(x_2, y_2, a, b) - [x_2;y_2]


%Fixed Point Parameter Expansions:==========================================

tic 

[x_M1, y_M1] = henon_FP_expansion_intval(x_1, y_1, a, b, M);
delta_pM1 = henon_FP_validation(x_M1, y_M1, tau, a, b, M);

time1 = toc

tic 

[x_M2, y_M2] = henon_FP_expansion_intval(x_2, y_2, a, b, M);
delta_pM2 = henon_FP_validation(x_M2, y_M2, tau, a, b, M);

time2 = toc


sup(delta_pM1)
sup(delta_pM2)






% 
% %Some Testing:
% 
% 
% testPoint1 = [horner(tau, x_M1, M);
%               horner(tau, y_M1, M)]      
% testPoints1 = midrad(testPoint1.mid, testPoint1.rad + sup(delta_pM1))          
%           
% testPoint2 = [horner(-tau, x_M1, M);
%               horner(-tau, y_M1, M)]
% testPoints2 = midrad(testPoint2.mid, testPoint2.rad + sup(delta_pM1))          
%        
% 
% testPoint3 = [horner(tau, x_M2, M);
%               horner(tau, y_M2, M)]      
% testPoints3 = midrad(testPoint3.mid, testPoint3.rad + sup(delta_pM2))          
%           
% testPoint4 = [horner(-tau, x_M2, M);
%               horner(-tau, y_M2, M)]
% testPoints4 = midrad(testPoint4.mid, testPoint4.rad + sup(delta_pM2))          
%        
%           
% 
% 
% test_x_1 = ((b+tau-1)/(2*a)) + (sqrt((1-(b+tau))^2 +4*a))/(2*a);
% test_y_1 = (b+tau)*test_x_1;
% 
% test_x_2 = ((b-tau-1)/(2*a)) + (sqrt((1-(b-tau))^2 +4*a))/(2*a);
% test_y_2 = (b-tau)*test_x_2;
% 
% 
% 
% test_x_3 = ((b+tau-1)/(2*a)) - (sqrt((1-(b+tau))^2 +4*a))/(2*a);
% test_y_3 = (b+tau)*test_x_3;
% 
% test_x_4 = ((b-tau-1)/(2*a)) - (sqrt((1-(b-tau))^2 +4*a))/(2*a);
% test_y_4 = (b-tau)*test_x_4;
% 
% 
% 
% %henonMap_intval(test_x_2, test_y_2, a, b-tau) - [test_x_2; test_y_2]
% 
% error1 = sup(norm(testPoint1 - [test_x_1; test_y_1], inf))
% error2 = sup(norm(testPoint2 - [test_x_2; test_y_2], inf))
% 
% error3 = sup(norm(testPoint3 - [test_x_3; test_y_3], inf))
% error4 = sup(norm(testPoint4 - [test_x_4; test_y_4], inf))
% 






