
clear
format long


%Version Loads From File:
load Ws_1_16_triangulation.dat;
load Ws_17_22_triangulation.dat;
load Ws_23_24_triangulation.dat;
load Ws_25_29_triangulation.dat;
load Ws_30_triangulation.dat;


%load Ws_FD_triangulation.dat;
load Ws_0_triangulation.dat;

%load Ws_30_triangulation.dat;

vertices_s = Ws_0_triangulation;
%vertices_s = Ws_FD_triangulation;


%Ws_vertices = Ws_30_triangulation;

Ws_vertices = [Ws_1_16_triangulation;
               Ws_17_22_triangulation;
               Ws_23_24_triangulation;
               Ws_25_29_triangulation;
               Ws_30_triangulation];


 fid = fopen('Ws_BaryPov.pov', 'w');

 
 tempSizeVect = size(vertices_s)
 sizeTri = tempSizeVect(1,1)
 
 tempSizeVect = size(Ws_vertices);
 sizeTri_FD = tempSizeVect(1);
 
 numOutLoops = 22
 

 
%========================================================================== 
 %Write Header:
%========================================================================== 


fprintf(fid, '%s\n', '#include "colors.inc" ');
fprintf(fid, '%s\n', '#include "textures.inc" ');
fprintf(fid, '%s\n', '#include "functions.inc" ');
fprintf(fid, '%s\n', '#include "logo.inc" ');

fprintf(fid, '%s\n', '    ');  
fprintf(fid, '%s\n', 'global_settings ');
fprintf(fid, '%s\n', '{ ');
fprintf(fid, '%s\n', '  max_trace_level 15 ');
fprintf(fid, '%s\n', '}         ');

fprintf(fid, '%s\n', '    ');  
fprintf(fid, '%s\n', '// first, the camera position ');
fprintf(fid, '%s\n', 'camera { ');
fprintf(fid, '%s\n', '  location <5, 0, 0> ');
fprintf(fid, '%s\n', '  look_at <-0.6, -0.6, -0.6> ');
fprintf(fid, '%s\n', '  rotate <30, 30, 0> ');
fprintf(fid, '%s\n', '} ');

fprintf(fid, '%s\n', '    ');  
fprintf(fid, '%s\n', '// now, some light ');
fprintf(fid, '%s\n', 'light_source {         ');                   
fprintf(fid, '%s\n', '  <15, 0, 0> ');
fprintf(fid, '%s\n', '  color rgb <1,1,1> ');
fprintf(fid, '%s\n', '  rotate <10, 50, 20> ');
fprintf(fid, '%s\n', '} ');

     
fprintf(fid, '%s\n', '    ');  
fprintf(fid, '%s\n', 'plane { ');
fprintf(fid, '%s\n', '  x, -150 ');
fprintf(fid, '%s\n', '  texture { ');
fprintf(fid, '%s\n', '    pigment { color rgb <.8,.8,.8> } ');
fprintf(fid, '%s\n', '    //normal { ');
fprintf(fid, '%s\n', '    //  ripples 0.5 ');
fprintf(fid, '%s\n', '    //} ');
fprintf(fid, '%s\n', '  } ');
fprintf(fid, '%s\n', '} ');
 
 
%=========================================================================
%Write Stable Cap Triangulation to File:
%=========================================================================
 
fprintf(fid, '%s\n', '    ');   
 fprintf(fid, '%s\n', 'union {');
 for n = 1:sizeTri
 		outstr = [ '  triangle { <', num2str(vertices_s(n,1)), ',', num2str(vertices_s(n,2)), ',', num2str(vertices_s(n,3)), '>, ', ...
                                '<', num2str(vertices_s(n,4)), ',', num2str(vertices_s(n,5)), ',', num2str(vertices_s(n,6)), '>, ' , ...
                                '<', num2str(vertices_s(n,7)), ',', num2str(vertices_s(n,8)), ',', num2str(vertices_s(n,9)), '> ', ...
                                '}' ];
  		fprintf(fid, '%s \n', outstr);
  		if mod(n,1000) == 0; disp([num2str(n) ' stable cap triangles ']), end
 end
 
 %=========================================================================
 %Write Stable Global Triangulation to File:
 %=========================================================================
 
 for n = 1:sizeTri_FD
    outstr = [ '  triangle { <', num2str(Ws_vertices(n,1)), ',',...
                                     num2str(Ws_vertices(n,2)), ',', num2str(Ws_vertices(n,3)), '>, ', ...
                                '<', num2str(Ws_vertices(n,4)), ',', ...
                                     num2str(Ws_vertices(n,5)), ',', num2str(Ws_vertices(n,6)), '>, ' , ...
                                '<', num2str(Ws_vertices(n,7)), ',', ...
                                     num2str(Ws_vertices(n,8)), ',', num2str(Ws_vertices(n,9)), '> ', ...
                                '}' ];
 	fprintf(fid, '%s \n', outstr);
 	if mod(n,1000) == 0; 
        disp([num2str(n) ' stable global triangles ']), 
        disp([num2str(sizeTri_FD), ' total ']),
    end                    
 end
     

 fprintf(fid, '%s\n', 'pigment { color rgb <1, 0, 0> }');
 fprintf(fid, '%s\n', 'finish { phong 0.8 }'); 
 fprintf(fid, '%s\n', '}');

 
 
 
 
 %========================================================================== 

fclose(fid);

 disp('Done.')

