
clear
format long


%Load Paths From File:
%load primaryIntersection_I.dat;
%load primaryIntersection_II.dat;

%path = [primaryIntersection_I;
%        primaryIntersection_II];

%Tell program wether or not to plot the paths
plotPaths = 0;


%Version Loads From File:
load Ws_1_16_triangulation.dat;
%load Ws_17_22_triangulation.dat;
%load Ws_23_24_triangulation.dat;
%load Ws_25_29_triangulation.dat;
%load Ws_30_triangulation.dat;


load Ws_1_17_triangulation.dat;  %Really unstable data.
%load Wu_18_20_triangulation.dat
%load Wu_21_22_triangulation.dat;
%load Wu_23_triangulation.dat;

%load Ws_FD_triangulation.dat;
%load Ws_0_triangulation.dat;

%load Ws_30_triangulation.dat;


%Version Loads From File:
load Ws_loc_triangulation.dat;
load Wu_loc_triangulation.dat;


vertices_s = Ws_loc_triangulation;
vertices_u = Wu_loc_triangulation;


%vertices_s = Ws_FD_triangulation;


Ws_vertices = Ws_1_16_triangulation;
Wu_vertices = Ws_1_17_triangulation;

%Wu_vertices = [Ws_1_17_triangulation;
%               Wu_18_20_triangulation;
%               Wu_21_22_triangulation;
%               Wu_23_triangulation];

           
%Ws_vertices = [Ws_1_16_triangulation;
%               Ws_17_22_triangulation;
%               Ws_23_24_triangulation;
%               Ws_25_29_triangulation;
%               Ws_30_triangulation];


 fid = fopen('WsWu_longView.pov', 'w');

 
 
%========================================================================== 
 %Write Header:
%========================================================================== 


fprintf(fid, '%s\n', '#include "colors.inc" ');
fprintf(fid, '%s\n', '#include "textures.inc" ');
fprintf(fid, '%s\n', '#include "functions.inc" ');
fprintf(fid, '%s\n', '#include "logo.inc" ');

fprintf(fid, '%s\n', '    ');  
fprintf(fid, '%s\n', 'global_settings ');
fprintf(fid, '%s\n', '{ ');
fprintf(fid, '%s\n', '  max_trace_level 15 ');
fprintf(fid, '%s\n', '}         ');

fprintf(fid, '%s\n', '#declare RAD = 0.0175;');

fprintf(fid, '%s\n', '    ');  
fprintf(fid, '%s\n', '// first, the camera position ');
fprintf(fid, '%s\n', 'camera { ');
fprintf(fid, '%s\n', '  location <1.8*2.09085693774709, 1.8*-2.00721927360623, 1.8*0.99278072639377> ');
fprintf(fid, '%s\n', '  look_at <0.15, 0.15, 0.15> ');
fprintf(fid, '%s\n', '  rotate <0, 0, 0> ');
fprintf(fid, '%s\n', '} ');

fprintf(fid, '%s\n', '    ');  
fprintf(fid, '%s\n', '// now, some light ');
fprintf(fid, '%s\n', 'light_source {         ');                   
fprintf(fid, '%s\n', '  <4.8*2.09085693774709, 4.8*-2.00721927360623, 4.8*0.99278072639377> ');
fprintf(fid, '%s\n', '  color rgb <1,1,1> ');
fprintf(fid, '%s\n', '  rotate <0, 30, 30> ');
fprintf(fid, '%s\n', '} ');

fprintf(fid, '%s\n', '    ');  
fprintf(fid, '%s\n', '// now, some light ');
fprintf(fid, '%s\n', 'light_source {         ');                   
fprintf(fid, '%s\n', '  <-4, -4, -4> ');
fprintf(fid, '%s\n', '  color rgb <1,1,1> ');
fprintf(fid, '%s\n', '  rotate <0, 0, 0> ');
fprintf(fid, '%s\n', '} ');
     

fprintf(fid, '%s\n', '    ');  
fprintf(fid, '%s\n', '// now, some light ');
fprintf(fid, '%s\n', 'light_source {         ');                   
fprintf(fid, '%s\n', '  <4, 4, 4> ');
fprintf(fid, '%s\n', '  color rgb <1,1,1> ');
fprintf(fid, '%s\n', '  rotate <45, 0, 0> ');
fprintf(fid, '%s\n', '} ');


fprintf(fid, '%s\n', '    ');  
fprintf(fid, '%s\n', 'plane { ');
fprintf(fid, '%s\n', '  x, -150 ');
fprintf(fid, '%s\n', '  texture { ');
fprintf(fid, '%s\n', '    pigment { color rgb <.8,.8,.8> } ');
fprintf(fid, '%s\n', '    //normal { ');
fprintf(fid, '%s\n', '    //  ripples 0.5 ');
fprintf(fid, '%s\n', '    //} ');
fprintf(fid, '%s\n', '  } ');
fprintf(fid, '%s\n', '} ');
 
 
%==========================================================================
%Plot Paths
%==========================================================================


if (plotPaths == 1)
  data = path;
  nsteps = size(data, 1);
  %spheresize = 1/20;

  fprintf(fid, '%s\n', 'union {');
  for n = 1:nsteps
 		outstr = [ '    sphere{ <', num2str(data(n,1)), ',', num2str(data(n,2)), ',', ...
                     num2str(data(n,3)), '> ' 'RAD' '}' ];
 		fprintf(fid, '%s \n', outstr);
 		if mod(n,1000) == 0; disp([num2str(n) '	'	outstr]), end
  end
  fprintf(fid, '%s\n', 'pigment { color rgb <0, 1, 0> }'); 
  fprintf(fid, '%s\n', 'finish { phong 0.8 }'); 
  fprintf(fid, '%s\n', '}');
  fprintf(fid, '%s\n', '    ');
  fprintf(fid, '%s\n', '    ');
end











%=========================================================================
%Write Stable Cap Triangulation to File:
%=========================================================================
 
tempSizeVect = size(vertices_s)
 sizeTri = tempSizeVect(1,1)
 
 tempSizeVect = size(Ws_vertices);
 sizeTri_FD = tempSizeVect(1);
 
 numOutLoops = 22

fprintf(fid, '%s\n', '    ');   
 fprintf(fid, '%s\n', 'union {');
 for n = 1:sizeTri
 		outstr = [ '  triangle { <', num2str(vertices_s(n,1)), ',', num2str(vertices_s(n,2)), ',', num2str(vertices_s(n,3)), '>, ', ...
                                '<', num2str(vertices_s(n,4)), ',', num2str(vertices_s(n,5)), ',', num2str(vertices_s(n,6)), '>, ' , ...
                                '<', num2str(vertices_s(n,7)), ',', num2str(vertices_s(n,8)), ',', num2str(vertices_s(n,9)), '> ', ...
                                '}' ];
  		fprintf(fid, '%s \n', outstr);
  		if mod(n,1000) == 0; disp([num2str(n) ' stable cap triangles ']), end
 end
 
 %=========================================================================
 %Write Stable Global Triangulation to File:
 %=========================================================================
 
 for n = 1:sizeTri_FD
    outstr = [ '  triangle { <', num2str(Ws_vertices(n,1)), ',',...
                                     num2str(Ws_vertices(n,2)), ',', num2str(Ws_vertices(n,3)), '>, ', ...
                                '<', num2str(Ws_vertices(n,4)), ',', ...
                                     num2str(Ws_vertices(n,5)), ',', num2str(Ws_vertices(n,6)), '>, ' , ...
                                '<', num2str(Ws_vertices(n,7)), ',', ...
                                     num2str(Ws_vertices(n,8)), ',', num2str(Ws_vertices(n,9)), '> ', ...
                                '}' ];
 	fprintf(fid, '%s \n', outstr);
 	if mod(n,1000) == 0; 
        disp([num2str(n) ' stable global triangles ']), 
        disp([num2str(sizeTri_FD), ' total ']),
    end                    
 end
     

 fprintf(fid, '%s\n', 'pigment { color rgb <1, 0, 0> }');
 fprintf(fid, '%s\n', 'finish { phong 0.8 }'); 
 fprintf(fid, '%s\n', '}');

 
 
 %=========================================================================
 %=========================================================================
 %=========================================================================
 
tempSizeVect = size(vertices_u)
 sizeTri = tempSizeVect(1,1)
 
 tempSizeVect = size(Wu_vertices);
 sizeTri_FD = tempSizeVect(1);
 
 numOutLoops = 22 
 
%=========================================================================
%Write Stable Cap Triangulation to File:
%=========================================================================
 
fprintf(fid, '%s\n', '    ');   
 fprintf(fid, '%s\n', 'union {');
 for n = 1:sizeTri
 		outstr = [ '  triangle { <', num2str(vertices_u(n,1)), ',', num2str(vertices_u(n,2)), ',', num2str(vertices_u(n,3)), '>, ', ...
                                '<', num2str(vertices_u(n,4)), ',', num2str(vertices_u(n,5)), ',', num2str(vertices_u(n,6)), '>, ' , ...
                                '<', num2str(vertices_u(n,7)), ',', num2str(vertices_u(n,8)), ',', num2str(vertices_u(n,9)), '> ', ...
                                '}' ];
  		fprintf(fid, '%s \n', outstr);
  		if mod(n,1000) == 0; disp([num2str(n) ' unstable cap triangles ']), end
 end
 
 %=========================================================================
 %Write Stable Global Triangulation to File:
 %=========================================================================
 
 for n = 1:sizeTri_FD
    outstr = [ '  triangle { <', num2str(Wu_vertices(n,1)), ',',...
                                     num2str(Wu_vertices(n,2)), ',', num2str(Wu_vertices(n,3)), '>, ', ...
                                '<', num2str(Wu_vertices(n,4)), ',', ...
                                     num2str(Wu_vertices(n,5)), ',', num2str(Wu_vertices(n,6)), '>, ' , ...
                                '<', num2str(Wu_vertices(n,7)), ',', ...
                                     num2str(Wu_vertices(n,8)), ',', num2str(Wu_vertices(n,9)), '> ', ...
                                '}' ];
 	fprintf(fid, '%s \n', outstr);
 	if mod(n,1000) == 0; 
        disp([num2str(n) ' unstable global triangles ']), 
        disp([num2str(sizeTri_FD), ' total ']),
    end                    
 end
     

 fprintf(fid, '%s\n', 'pigment { color rgb <0, 0, 1> }');
 fprintf(fid, '%s\n', 'finish { phong 0.8 }'); 
 fprintf(fid, '%s\n', '}');
 
 
 
 
 
 
 %========================================================================== 

fclose(fid);

 disp('Done.')
