
%Run after aaa_triangulation


 fid = fopen('WsWu_TriPov.pov', 'w');
 fprintf(fid, '%s\n', '#declare RAD =',  num2str(pointRadius), ';');
 
 tempSizeVect = size(TRI_s)
 sizeTri = tempSizeVect(1,1)
 
 tempSizeVect = size(Ws_vertices);
 sizeTri_FD = tempSizeVect(1);
 
 numOutLoops = num_triIterates
 
 %Triangle Template:
 %
 %    triangle {
 %        <0.0, 0.0, 0.0>, <1.0, 0.0, 0.0>, <0.5, 0.5, 1.0>
 %    }
 
 
 %=========================================================================
 %Write Stable Cap Triangulation to File:
 %=========================================================================
 
 fprintf(fid, '%s\n', 'union {');
 for n = 1:sizeTri
 		outstr = [ '  triangle { <', num2str(vertices_s(n,1)), ',', num2str(vertices_s(n,2)), ',', num2str(vertices_s(n,3)), '>, ', ...
                                '<', num2str(vertices_s(n,4)), ',', num2str(vertices_s(n,5)), ',', num2str(vertices_s(n,6)), '>, ' , ...
                                '<', num2str(vertices_s(n,7)), ',', num2str(vertices_s(n,8)), ',', num2str(vertices_s(n,9)), '> ', ...
                                '}' ];
 		fprintf(fid, '%s \n', outstr);
 		if mod(n,1000) == 0; disp([num2str(n) ' stable cap triangles ']), end
 end
 
 %=========================================================================
 %Write Stable Global Triangulation to File:
 %=========================================================================
 
 for n = 1:sizeTri_FD
    outstr = [ '  triangle { <', num2str(Ws_vertices(n,1)), ',',...
                                     num2str(Ws_vertices(n,2)), ',', num2str(Ws_vertices(n,3)), '>, ', ...
                                '<', num2str(Ws_vertices(n,4)), ',', ...
                                     num2str(Ws_vertices(n,5)), ',', num2str(Ws_vertices(n,6)), '>, ' , ...
                                '<', num2str(Ws_vertices(n,7)), ',', ...
                                     num2str(Ws_vertices(n,8)), ',', num2str(Ws_vertices(n,9)), '> ', ...
                                '}' ];
 	fprintf(fid, '%s \n', outstr);
 	if mod(n,1000) == 0; disp([num2str(n) ' stable global triangles ']), end
 end
     

 fprintf(fid, '%s\n', 'pigment { color rgb <1, 0, 0> }');
 fprintf(fid, '%s\n', 'finish { phong 0.8 }'); 
 fprintf(fid, '%s\n', '}');

 
 
 
 %=========================================================================
 %Write Unstable Cap Triangulation to File:
 %=========================================================================
 
 tempSizeVect = size(TRI_u)
 sizeTri = tempSizeVect(1,1)
 
 tempSizeVect = size(Wu_vertices);
 sizeTri_FD = tempSizeVect(1);
 
 fprintf(fid, '%s\n', 'union {');
 for n = 1:sizeTri
 		outstr = [ '  triangle { <', num2str(vertices_u(n,1)), ',', num2str(vertices_u(n,2)), ',', num2str(vertices_u(n,3)), '>, ', ...
                                '<', num2str(vertices_u(n,4)), ',', num2str(vertices_u(n,5)), ',', num2str(vertices_u(n,6)), '>, ' , ...
                                '<', num2str(vertices_u(n,7)), ',', num2str(vertices_u(n,8)), ',', num2str(vertices_u(n,9)), '> ', ...
                                '}' ];
 		fprintf(fid, '%s \n', outstr);
 		if mod(n,1000) == 0; disp([num2str(n) ' unstable cap triangles ']), end
 end

 
 
 %=========================================================================
 %Write Unstable Global Triangulation to File:
 %=========================================================================
 
 for n = 1:sizeTri_FD
 	outstr = [ '  triangle { <', num2str(Wu_vertices(n,1)), ',',...
                                 num2str(Wu_vertices(n,2)), ',', num2str(Wu_vertices(n,3)), '>, ', ...
                            '<', num2str(Wu_vertices(n,4)), ',', ...
                                 num2str(Wu_vertices(n,5)), ',', num2str(Wu_vertices(n,6)), '>, ' , ...
                            '<', num2str(Wu_vertices(n,7)), ',', ...
                                 num2str(Wu_vertices(n,8)), ',', num2str(Wu_vertices(n,9)), '> ', ...
                            '}' ];
 	fprintf(fid, '%s \n', outstr);
 	if mod(n,1000) == 0; disp([num2str(n) ' stable global triangles ']), end
 end
  
 
 fprintf(fid, '%s\n', 'pigment { color rgb <0, 0, 1> }'); 
 fprintf(fid, '%s\n', 'finish { phong 0.8 }'); 
 fprintf(fid, '%s\n', '}');
 
 
 
 %=========================================================================
 %Write Stable Spheres to file:
 %=========================================================================
 
 
 
 data = Ws_points;	
 tempSize = size(Ws_points);
 nsteps = tempSize(1);
 
 fprintf(fid, '%s\n', 'union {');
 for n = 2:nsteps
 		outstr = [ '    sphere{ <', num2str(data(n,1)), ',', num2str(data(n,2)), ',', ...
                     num2str(data(n,3)), '> ' 'RAD' '}' ];
 		fprintf(fid, '%s \n', outstr);
        outstr = [ '    sphere{ <', num2str(data(n,4)), ',', num2str(data(n,5)), ',', ...
                     num2str(data(n,6)), '> ' 'RAD' '}' ];
 		fprintf(fid, '%s \n', outstr);
        outstr = [ '    sphere{ <', num2str(data(n,7)), ',', num2str(data(n,8)), ',', ...
                     num2str(data(n,9)), '> ' 'RAD' '}' ];
 		fprintf(fid, '%s \n', outstr);
        if mod(n,1000) == 0; disp([num2str(n) ' stable spheres ']), end
 end
 fprintf(fid, '%s\n', 'pigment { color rgb <1, 0, 0> }'); 
 fprintf(fid, '%s\n', 'finish { phong 0.8 }'); 
 fprintf(fid, '%s\n', '}');
 
 
 
 
 %=========================================================================
 %Write Unstable Spheres to file:
 %=========================================================================
 
 
 data = Wu_points;	
 tempSize = size(Wu_points);
 nsteps = tempSize(1);
 
 fprintf(fid, '%s\n', 'union {');
 for n = 2:nsteps
 		outstr = [ '    sphere{ <', num2str(data(n,1)), ',', num2str(data(n,2)), ',', ...
                     num2str(data(n,3)), '> ' 'RAD' '}' ];
 		fprintf(fid, '%s \n', outstr);
        outstr = [ '    sphere{ <', num2str(data(n,4)), ',', num2str(data(n,5)), ',', ...
                     num2str(data(n,6)), '> ' 'RAD' '}' ];
 		fprintf(fid, '%s \n', outstr);
        outstr = [ '    sphere{ <', num2str(data(n,7)), ',', num2str(data(n,8)), ',', ...
                     num2str(data(n,9)), '> ' 'RAD' '}' ];
 		fprintf(fid, '%s \n', outstr);
        if mod(n,1000) == 0; disp([num2str(n) ' unstable spheres ']), end
 end
 fprintf(fid, '%s\n', 'pigment { color rgb <0, 0, 1> }'); 
 fprintf(fid, '%s\n', 'finish { phong 0.8 }'); 
 fprintf(fid, '%s\n', '}');
 
 %========================================================================== 

fclose(fid);

 disp('Done.')

 
 
 
 
 
 
 
 