function HM_alpha_bounds=compute_alphaM_bounds(Q_MN1, Q_MN2, Q_MN3, ...
                              lambda_series1, lambda_series2, ...
                              delta_xi1, delta_xi2, p0, tau, L, ...
                              sigma, rho, beta, M, N)

%Tail Residuals: for 2 <= |alpha| <= N

id = intval(eye(3))  
HM_alpha_bounds = intval(zeros(N+1, N+1));

HM_alpha_bounds(1,1) = 0;
HM_alpha_bounds(1,2) = delta_xi1;
HM_alpha_bounds(2,1) = delta_xi2;

for n1 = 0:N
    coeffValidationLoop = n1
    N
    for n2 = 0:N
        if (n1+n2 >=2) & (n1+n2 <= N)
            EM_alpha1 = intval(zeros(2*M + 1, 1));
            EM_alpha2 = intval(zeros(2*M + 1, 1));
            EM_alpha3 = intval(zeros(2*M + 1, 1));

            term1 = intval(zeros(3, 2*M + 1));
            term2 = intval(zeros(3, 2*M + 1));
            term3 = intval(zeros(3, 2*M + 1));


            thisIndex = [n1, n2]
            computing_alphaPoly = 1
            
            [sM_alpha2, sM_alpha3] = ...
            compute_sm_alphaPoly_intval(thisIndex(1), thisIndex(2),...
                            Q_MN1, Q_MN2, Q_MN3, ...
                            sigma, rho, beta, M);


            %EM_alpha at first order:                        
            Dfp0 = ...
                lorenzDifferential_intval(p0, sigma, rho, beta, intval(1));
                          
            for m = 0:M
                q_m = [Q_MN1(m+1, n1+1, n2+1);
                       Q_MN2(m+1, n1+1, n2+1);
                       Q_MN3(m+1, n1+1, n2+1)];
      
                term1(1:3, m+1) =  Dfp0*q_m;
            end
                        
            for m = 1:M+1
                term2(1:3, m+1) = [0;
                                   Q_MN1(m, n1+1, n2+1);
                                   0];
            end


            for m = 0:2*M 
                thisCoeff = intval([0; 0; 0]);
                for k = 0:m
                    if ((m-k+1 <= M) & (k <= M))
                        q_j = [Q_MN1(k+1, n1+1, n2+1);
                               Q_MN2(k+1, n1+1, n2+1);
                               Q_MN3(k+1, n1+1, n2+1)];
       
                    thisCoeff = thisCoeff + ...
                        (n1*lambda_series1(m-k+1) ...
                        + n2*lambda_series2(m-k+1))*q_j;
                    end
                end
                term3(1:3, m+1) = thisCoeff;
            end

                        
            EM_alpha1(:) = term1(1, :)' + term2(1, :)' - term3(1, :)';
            EM_alpha2(:) = term1(2, :)' + term2(2, :)' ...
                         - term3(2, :)' - sM_alpha2(:);
            EM_alpha3(:) = term1(3, :)' + term2(3, :)' ...
                         - term3(3, :)' + sM_alpha3(:);

            thisErrorBound = intval(0);
            for m = 0:2*M
               thisErrorBound = thisErrorBound + ...
                   norm([EM_alpha1(m+1), ...
                         EM_alpha2(m+1), ...
                         EM_alpha3(m+1)], inf)*tau^m; 
            end
            thisErrorBound
            HM_alpha_bounds(n1+1, n2+1) = thisErrorBound;
        end
    end
end










