function HM_alpha_bounds=compute_alphaM_bounds_poly(...
    Q_MN1, Q_MN2, Q_MN3, ...
    lambda_series1, lambda_series2, ...
    delta_xi1, delta_xi2, p0, tau, L, ...
    sigma, rho, beta, M, N)

%Tail Residuals: for 2 <= |alpha| <= N

id = intval(eye(3))  
HM_alpha_bounds = intval(zeros(N+1, N+1));

HM_alpha_bounds(1,1) = 0;
HM_alpha_bounds(1,2) = delta_xi1;
HM_alpha_bounds(2,1) = delta_xi2;

for indexLoop = 2:N
    coeffValidationLoop = indexLoop
    N
    for n2 = 0:indexLoop
        n1 = indexLoop - n2
         
        term1 = intval(zeros(3, 2*M + 1));
        term2 = intval(zeros(3, 2*M + 1));
        term3 = intval(zeros(3, 2*M + 1));


        thisIndex = [n1, n2]
        computing_alphaPoly = 1
            
        [sM_alpha2_poly, sM_alpha3_poly] = ...
        compute_sm_alphaPoly_intval_poly(thisIndex(1), thisIndex(2),...
                            Q_MN1, Q_MN2, Q_MN3, ...
                            sigma, rho, beta, M);

                     
        %EM_alpha at first order:                        
        Dfp0 = ...
            lorenzDifferential_intval(p0, sigma, rho, beta, intval(1));
                          
        for m = 0:M
            q_m = [Q_MN1(m+1, n1+1, n2+1);
                       Q_MN2(m+1, n1+1, n2+1);
                       Q_MN3(m+1, n1+1, n2+1)];
      
            term1(1:3, m+1) =  Dfp0*q_m;
        end
        
        
        
        for m = 1:M+1
            term2(1:3, m+1) = [0;
                                   Q_MN1(m, n1+1, n2+1);
                                   0];
        end


        for m = 0:2*M 
            thisCoeff = intval([0; 0; 0]);
            for k = 0:m
                if ((m-k+1 <= M) & (k <= M))
                        q_j = [Q_MN1(k+1, n1+1, n2+1);
                               Q_MN2(k+1, n1+1, n2+1);
                               Q_MN3(k+1, n1+1, n2+1)];
       
                thisCoeff = thisCoeff + ...
                        (n1*lambda_series1(m-k+1) ...
                        + n2*lambda_series2(m-k+1))*q_j;
                end
            end
            term3(1:3, m+1) = thisCoeff;
        end

        term1_1_poly = convertToPoly_1D1D(term1(1,:), 2*M);
        term1_2_poly = convertToPoly_1D1D(term1(2,:), 2*M);
        term1_3_poly = convertToPoly_1D1D(term1(3,:), 2*M);
        
        term2_1_poly = convertToPoly_1D1D(term2(1,:), 2*M);
        term2_2_poly = convertToPoly_1D1D(term2(2,:), 2*M);
        term2_3_poly = convertToPoly_1D1D(term2(3,:), 2*M);
        
        term3_1_poly = convertToPoly_1D1D(term3(1,:), 2*M);
        term3_2_poly = convertToPoly_1D1D(term3(2,:), 2*M);
        term3_3_poly = convertToPoly_1D1D(term3(3,:), 2*M);
        
                        
        EM_alpha1 = term1_1_poly + term2_1_poly - term3_1_poly;
        EM_alpha2 = term1_2_poly + term2_2_poly ...
                         - term3_2_poly - sM_alpha2_poly;
        EM_alpha3 = term1_3_poly + term2_3_poly ...
                         - term3_3_poly + sM_alpha3_poly;

                     
        thisErrorBound1 = polyval(abs(EM_alpha1), tau);
        thisErrorBound2 = polyval(abs(EM_alpha2), tau);
        thisErrorBound3 = polyval(abs(EM_alpha3), tau);
        
        thisErrorBound = norm([thisErrorBound1, ...
                               thisErrorBound2, ...
                               thisErrorBound3], ...
                               inf)
        
        %for m = 0:2*M
        %   thisErrorBound = thisErrorBound + ...
        %       norm([EM_alpha1(m+1), ...
        %             EM_alpha2(m+1), ...
        %             EM_alpha3(m+1)], inf)*tau^m; 
        %end
        %thisErrorBound
        HM_alpha_bounds(n1+1, n2+1) = thisErrorBound;
    end
end










