function resonanceBounds=compute_resonanceBounds(...
    lambda_series1, lambda_series2, lambda_series3, ...
    delta_lambda1, delta_lambda2, delta_lambda3, tau, N, M)

lambda1 = lambda_series1(1);
lambda2 = lambda_series2(1);
lambda3 = lambda_series3(1);

resonanceBounds = intval(ones(N+1, N+1));

for n1 = 0:N
    n1
    N
    for n2 = 0:N
        if ((n1 + n2 >= 2) & (n1 + n2 <= N))
          
            theResBound1 = 0;
            for m = 1:M
                theResBound1 = theResBound1 ...
                  + abs(lambda_series1(m+1) - ...
                  (n1*lambda_series1(m+1) + n2*lambda_series2(m+1)))*tau^m;
            end
            theResBound2 = 0;
            for m = 1:M
                theResBound2 = theResBound2 ...
                  + abs(lambda_series2(m+1) - ...
                  (n1*lambda_series1(m+1) + n2*lambda_series2(m+1)))*tau^m;
            end
            theResBound3 = 0;
            for m = 1:M
                theResBound3 = theResBound3 ...
                  + abs(lambda_series3(m+1) - ...
                  (n1*lambda_series1(m+1) + n2*lambda_series2(m+1)))*tau^m;
            end
            res1 = abs(lambda1 - (n1*lambda1 + n2*lambda2));
            res2 = abs(lambda2 - (n1*lambda1 + n2*lambda2));
            res3 = abs(lambda3 - (n1*lambda1 + n2*lambda2));
            boundFromZero1 = ...
                res1 - theResBound1 - ...
                (n1*delta_lambda1 + n2*delta_lambda2 + delta_lambda1);
            boundFromZero2 = ...
                res2 - theResBound2 - ...
                (n1*delta_lambda1 + n2*delta_lambda2 + delta_lambda2);
            boundFromZero3 = ...
                res3 - theResBound3 - ...
                (n1*delta_lambda1 + n2*delta_lambda2 + delta_lambda3);
            
            if ((inf(boundFromZero1) <= 0) |...
                (inf(boundFromZero2) <= 0) |...
                (inf(boundFromZero3) <= 0))
               crashNow = tau_tooBig_inRes 
            end
            
            
            if ((inf(boundFromZero1) < inf(boundFromZero2)) & ...
                    (inf(boundFromZero1) < inf(boundFromZero3)))
                theBound = 1/boundFromZero1;
            elseif ((inf(boundFromZero2) < inf(boundFromZero1)) & ...
                    (inf(boundFromZero2) < inf(boundFromZero3)))
                theBound = 1/boundFromZero2;
            elseif ((inf(boundFromZero3) < inf(boundFromZero1)) & ...
                    (inf(boundFromZero3) < inf(boundFromZero2)))
                theBound = 1/boundFromZero3;
            end        
            
            
            resonanceBounds(n1+1, n2+1) = theBound;
        end
    end
end
