function f = compute_seriesPowers_intval(series, N, M);

seriesPowers = intval(zeros(M+1, N+1));

%Zeroth Power:
seriesPowers(1, 1) = intval(1);

%First Power:
seriesPowers(:, 1+1) = series;

%Second power:

for m = 0:M
   thisSum = intval(0);
   for k = 0:m
      thisSum = thisSum + series(m-k+1)*series(k+1); 
   end
   seriesPowers(m+1, 2+1) = thisSum;
end



%Third Through N-th power:
for n = 3:N
   seriesPowers(0+1, n+1) = series(1)^n;
   seriesPowers(1+1, n+1) = n*(series(1)^(n-1))*series(2);
   
   for m = 1:(M-1)
      
      term1 = n*(series(1)^(n-1))*series(m+2);
      coef = 1/(series(1)*(m+1));
      term2 = intval(0);
      for k = 0:m-1
          term2 = term2 + ...
              (k+1)*(n*seriesPowers(m-k+1, n+1)*series(k+2) - ...
                     series(m-k+1)*seriesPowers(k+2, n+1));
      end
      seriesPowers(m+2, n+1) = term1 + coef*term2;  
   end
end
   
f = seriesPowers;