function varargout = henonHomoclinic(theta_0, tau_0, n_u, n_s, ...
    A0u, B0u, A0s, B0s, Nu, Ns, a, b)


xn = [tau_0;
      theta_0];

thisError = inf;   
numLoops = 0;   

while (thisError > 5*10^(-12) & numLoops < 25)
 
  numLoops = numLoops + 1
 %Image of theta_n under Ps:
 Ps_xn = [horner(xn(1), A0s, Ns);
          horner(xn(1), B0s, Ns)];
 %Image of z_n = (s_n, t_n) Pu:
 Pu_xn = [horner(xn(2), A0u, Nu);
          horner(xn(2), B0u, Nu)];
 
 %Differential of Ps(theta_n):
 DPs_xn = evaluate_differential_1D(xn(1), A0s, B0s, Ns);
 %Differential of Pu(z_n):
 DPu_xn = evaluate_differential_1D(xn(2), A0u, B0u, Nu);
 
 %Evaluate Phi at x_n:
 Phi_xn = inverse_iterate_point_k(Ps_xn, n_s, a, b) ...
     - iterate_point_k(Pu_xn, n_u, a, b);
 thisError = norm(Phi_xn, inf)
 
 %Evaluate Composition Derivatives:
 DPhi_theta = Dfinvk_circ_P_1D(n_s, xn(1), A0s, B0s, Ns, a, b);
 DPhi_z = Dfk_circ_P_1D(n_u, xn(2), A0u, B0u, Nu, a, b);
 %Compute differential of Phi:
 DPhi_xn = [DPhi_theta, -DPhi_z];
                  
 %Compute the Newton Step:
 xnew = xn - DPhi_xn^(-1)*Phi_xn;
 xn = xnew;
end
 
theta = xnew(2);
tauBar = xnew(1);
error = thisError;

  
varargout(1,1)={theta};
varargout(2,1)={tauBar};
varargout(3,1) = {error};

