





%==========================================================================
%Triangulate set:
%==========================================================================

theta1 = parmDomain1(:,1);
omega1 = parmDomain1(:,2);
TRI1 = DelaunayTri(theta1, omega1);

theta2 = parmDomain2(:,1);
omega2 = parmDomain2(:,2);
TRI2 = DelaunayTri(theta2, omega2);

theta3 = parmDomain3(:,1);
omega3 = parmDomain3(:,2);
TRI3 = DelaunayTri(theta3, omega3);

theta4 = parmDomain4(:,1);
omega4 = parmDomain4(:,2);
TRI4 = DelaunayTri(theta4, omega4);


temp1 = size(TRI1);
numTriangles1 = temp1(1)
triangles1 = zeros(numTriangles1, 9);

temp2 = size(TRI2);
numTriangles2 = temp2(1)
triangles2 = zeros(numTriangles2, 9);

temp3 = size(TRI3);
numTriangles3 = temp3(1)
triangles3 = zeros(numTriangles3, 9);

temp4 = size(TRI4);
numTriangles4 = temp4(1)
triangles4 = zeros(numTriangles4, 9);


for m = 1:numTriangles1
    %xyz_v1, xyz_v2, xyz_v3
    index1 = TRI1(m, 1);
    index2 = TRI1(m, 2);
    index3 = TRI1(m, 3);
    x1 = polyval(Pmn1, omega1(index1), theta1(index1));
    y1 = polyval(Pmn2, omega1(index1), theta1(index1));
    x2 = polyval(Pmn1, omega1(index2), theta1(index2));
    y2 = polyval(Pmn2, omega1(index2), theta1(index2));
    x3 = polyval(Pmn1, omega1(index3), theta1(index3));
    y3 = polyval(Pmn2, omega1(index3), theta1(index3));
    triangles1(m, :) = [x1.mid, y1.mid, scaleParm*omega1(index1), ...
                        x2.mid, y2.mid, scaleParm*omega1(index2), ...
                        x3.mid, y3.mid, scaleParm*omega1(index3)]; 
end



for m = 1:numTriangles2
    %xyz_v1, xyz_v2, xyz_v3
    index1 = TRI2(m, 1);
    index2 = TRI2(m, 2);
    index3 = TRI2(m, 3);
    x1 = polyval(Qmn1, omega2(index1), theta2(index1));
    y1 = polyval(Qmn2, omega2(index1), theta2(index1));
    x2 = polyval(Qmn1, omega2(index2), theta2(index2));
    y2 = polyval(Qmn2, omega2(index2), theta2(index2));
    x3 = polyval(Qmn1, omega2(index3), theta2(index3));
    y3 = polyval(Qmn2, omega2(index3), theta2(index3));
    triangles2(m, :) = [x1.mid, y1.mid, scaleParm*omega2(index1), ...
                        x2.mid, y2.mid, scaleParm*omega2(index2), ...
                        x3.mid, y3.mid, scaleParm*omega2(index3)]; 
end




for m = 1:numTriangles3
    %xyz_v1, xyz_v2, xyz_v3
    index1 = TRI3(m, 1);
    index2 = TRI3(m, 2);
    index3 = TRI3(m, 3);
    x1 = polyval(Rmn1, omega3(index1), theta3(index1));
    y1 = polyval(Rmn2, omega3(index1), theta3(index1));
    x2 = polyval(Rmn1, omega3(index2), theta3(index2));
    y2 = polyval(Rmn2, omega3(index2), theta3(index2));
    x3 = polyval(Rmn1, omega3(index3), theta3(index3));
    y3 = polyval(Rmn2, omega3(index3), theta3(index3));
    triangles3(m, :) = [x1.mid, y1.mid, scaleParm*omega3(index1), ...
                        x2.mid, y2.mid, scaleParm*omega3(index2), ...
                        x3.mid, y3.mid, scaleParm*omega3(index3)]; 
end




for m = 1:numTriangles4
    %xyz_v1, xyz_v2, xyz_v3
    index1 = TRI4(m, 1);
    index2 = TRI4(m, 2);
    index3 = TRI4(m, 3);
    x1 = polyval(Smn1, omega4(index1), theta4(index1));
    y1 = polyval(Smn2, omega4(index1), theta4(index1));
    x2 = polyval(Smn1, omega4(index2), theta4(index2));
    y2 = polyval(Smn2, omega4(index2), theta4(index2));
    x3 = polyval(Smn1, omega4(index3), theta4(index3));
    y3 = polyval(Smn2, omega4(index3), theta4(index3));
    triangles4(m, :) = [x1.mid, y1.mid, scaleParm*omega4(index1), ...
                        x2.mid, y2.mid, scaleParm*omega4(index2), ...
                        x3.mid, y3.mid, scaleParm*omega4(index3)]; 
end


%fid = fopen('parmSurface1.pov', 'w');
fid = fopen('paper_nonRig_Ws1_top.pov', 'w');

%[varNum] = MTPwrite_pointCloud(fid, Orbit, 0.01, [1,0.5,0.5]);
%[varNum] = MTPwrite_pointCloud(fid, manifold0_1, 0.03, [0,0,1]);
%[varNum] = MTPwrite_pointCloud(fid, manifold0_2, 0.03, [1,0,0]);
%[varNum] = MTPwrite_pointCloud(fid, manifold0_3, 0.03, [0,1,1]);
%[varNum] = MTPwrite_pointCloud(fid, manifold0_4, 0.03, [1,0,1]);

%[varNum] = MTPwrite_pointCloud(fid, fp_branch1, 0.01, [1,1,1]);
%[varNum] = MTPwrite_pointCloud(fid, fp_branch2, 0.01, [1,1,1]);


[varNum] = MTPwrite_surfTriangulation(fid, triangles4, [0,0,1], 0.1);
%[varNum] = MTPwrite_surfTriangulation(fid, triangles2, [0,1,1], 0.1);
%[varNum] = MTPwrite_surfTriangulation(fid, triangles3, [1,0,1], 0.1);
%[varNum] = MTPwrite_surfTriangulation(fid, triangles4, [1,1,1], 0.1);

 %========================================================================== 

fclose(fid);

 disp('Done.')

%figure
%hold on
%plot3(triangles1(:,1), triangles1(:,2), triangles1(:,3), '.b')
%axis([-2, 2, -2, 2, -2, 2]);





