function varargout=henon_1D_manifold_intval(p, lambda, xi, ...
                                      a, b, N, L);

Dfp = [-2*a*p(1), 1;
               b, 0];

P1 = intval(zeros(1, N+1));
P2 = intval(zeros(1, N+1));
 
P1(1) = p(1);
P2(1) = p(2);


P1(2) = xi(1);
P2(2) = xi(2);

Id = intval(eye(2));


for n = 2:N
    An = Dfp - lambda^n*Id;            
    sn = L*computeHenon_sn_intval(n, P1, P2, a, b, N);
    vn = An\sn;
    P1(n+1) = vn(1);
    P2(n+1) = vn(2);
end


varargout(1,1)={P1};
varargout(2,1)={P2};


