function f = henon_FP_validation_hack(x_M, y_M, tau, a, b, M)



pM1 = convertToPoly_1D1D(x_M, M)

%Use specialized formulas rather than general
%computations to bound norm of inverse derivative:
pM1_bound = polyval(abs(pM1), tau)
C_bound = (1/sqrt(4*a))*(abs(b) + tau + 2*abs(a)*pM1_bound)
 

%A-Posteriori Bound:
F1 = intval(zeros(1, 2*M+1));
F2 = intval(zeros(1, 2*M+1));
x_M_long = intval(zeros(1, 2*M+1));
y_M_long = intval(zeros(1, 2*M+1));
x_M_omega = intval(zeros(1, 2*M+1));
one_long = intval(zeros(1, 2*M+1));

one_long(1) = 1;
x_M_long(1:M+1) = x_M(1:M+1);
y_M_long(1:M+1) = y_M(1:M+1);
x_M_omega(2:M+2) = x_M(1:M+1);



x_M_squared = convolveSeries_1D_general_intval(x_M, x_M);

F1 = y_M_long + one_long - a*x_M_squared - x_M_long;
F2 = b*x_M_long + x_M_omega - y_M_long;

error1 = intval(0);
error2 = intval(0);
for m = 0:2*M
   error1 = error1 + norm(F1(m+1), inf)*tau^m;
   error2 = error2 + norm(F2(m+1), inf)*tau^m;
end


error_fp_branch = max(sup(error1), sup(error2))



epsilon_NK = C_bound*error_fp_branch
R = 2*epsilon_NK

C_imageBound = intval(0);

for m = 1:M
   C_imageBound = C_imageBound + norm([x_M(m+1), y_M(m+1)], inf)*tau^m;  
end

C_imageBound = C_imageBound + R


kappa = 2*abs(a)

newton_M = 4*epsilon_NK*C_bound*kappa

if (sup(newton_M) >= 1)
    crashNow = newton_failed
end

f = R