function varargout = henon_invariantBranch_intval_vectorized(...
    x_M, y_M, PN1, PN2, PN1_rho, PN2_rho, ...
    lambda_series, Lambda_series, ...
    xi_1_series, xi_2_series, M, N, a, b);




PMN1 = intval(zeros(M+1, N+1));
PMN2 = intval(zeros(M+1, N+1));

PMN1(1, :) = PN1;
PMN2(1, :) = PN2;

PMN1(2, :) = PN1_rho;
PMN2(2, :) = PN2_rho;


PMN1(3:M+1, 1) = x_M(3:M+1);
PMN2(3:M+1, 1) = y_M(3:M+1);
PMN1(3:M+1, 2) = xi_1_series(3:M+1)';
PMN2(3:M+1, 2) = xi_2_series(3:M+1)';

Dfp0 = [-2*a*PN1(1), 1;
                  b, 0];
    
              
Id = intval(eye(2));

lambda = lambda_series(1);

for n = 2:N
	 n
	 N
    for m = 2:M
        A = Dfp0 - lambda^n*Id;
        
        %Lambda convolution terms: (vectorized)
        A_temp = Lambda_series(2:m+1, n+1);
        B_temp = PMN1(1:m, n+1);
        C_temp = PMN2(1:m, n+1);
        A_temp = flipud(A_temp);
        
        thisTerm1 = dot(A_temp, B_temp);
        thisTerm2 = dot(A_temp, C_temp);
        
        %Compute s_mn: (vectorized)
        numElements = (n+1)*(m+1);
        A_temp = reshape(PMN1(1:m+1, 1:n+1), numElements, 1);
        A_temp = A_temp(2:numElements-1);
        B_temp = flipud(A_temp);
        smn_term = a*dot(A_temp, B_temp);
        
        %Set up and solve the homological equation:
        smn1 = thisTerm1 + smn_term;
        smn2 = -PMN1(m, n+1) + thisTerm2;
        
        b = [smn1;
             smn2];
         
        thisCoeff = A\b;
        
        PMN1(m+1, n+1) = thisCoeff(1);
        PMN2(m+1, n+1) = thisCoeff(2);
    end
end
                          
                                  
varargout(1,1)={PMN1};
varargout(2,1)={PMN2};
