
clear 
format long

%==========Parameter Expansions for the Henon Map==========================


a = 1.4
b = 0.3
N = 25


a_intval = intval(a)
b_intval = intval(b)


%Fixed Point (floating point formula)

%Fixed Point p1:
x_1_intval = ((b_intval-1)/(2*a_intval)) + ...
             (sqrt((1-b_intval)^2 +4*a_intval))/(2*a_intval)

y_1_intval = b_intval*x_1_intval

%Fixed Point p2:
x_2_intval = ((b_intval-1)/(2*a_intval)) - ...
             (sqrt((1-b_intval)^2 +4*a_intval))/(2*a_intval)
y_2_intval = b_intval*x_2_intval


fp_intval = henonMap_intval(x_1_intval, y_1_intval, a_intval, b_intval)

error = abs(fp_intval - [x_1_intval; y_1_intval])



%Fixed Point Parameter Expansion:==========================================

%Branch of p1:
[xn1_intval, yn1_intval] = henon_FP_expansion_intval(...
                                  x_1_intval, y_1_intval, ...
                                  a_intval, b_intval, N);

%Branch of p2:
[xn2_intval, yn2_intval] = henon_FP_expansion_intval(...
                                  x_2_intval, y_2_intval, ...
                                  a_intval, b_intval, N);





                              
%coeffAxis = linspace(0, N, N+1);
%figure
%hold on
%plot(coeffAxis, log10(abs(sup(xn1_intval))), 'b')                              
%plot(coeffAxis, log10(abs(sup(yn1_intval))), 'g') 
%plot(coeffAxis, log10(abs(sup(xn2_intval))), 'r') 
%plot(coeffAxis, log10(abs(sup(yn2_intval))), 'k') 

%figure
%hold on 
%plot(coeffAxis, rad(xn1_intval), 'b')                              
%plot(coeffAxis, rad(yn1_intval), 'g') 
%plot(coeffAxis, rad(xn2_intval), 'r') 
%plot(coeffAxis, rad(yn2_intval), 'k') 
                              
         

















