function varargout = homoclinicPoint_p0(theta_0, tau_0, n_u, n_s, ...
    A0u, B0u, C0u, A0s, B0s, C0s, N, order_1, alpha, tau, a, b, c)


xn = [tau_0;
       theta_0(1);
       theta_0(2)];

thisError = inf;   
numLoops = 0;   

while (thisError > 5*10^(-12) & numLoops < 25)
 
  numLoops = numLoops + 1
 %Image of theta_n under Ps:
 Ps_xn = [horner(xn(1), A0s, order_1);
          horner(xn(1), B0s, order_1);
          horner(xn(1), C0s, order_1)];
 %Image of z_n = (s_n, t_n) Pu:
 Pu_zn = evaluate_complexCase(xn(2), xn(3), A0u, B0u, C0u, N);
 
 %Differential of Ps(theta_n):
 DPs_xn = evaluate_differential_1D(xn(1), A0s, B0s, C0s, order_1);
 %Differential of Pu(z_n):
 DPu_xn = evaluate_jacob_complexCase(xn(2), xn(3), A0u, B0u, C0u, N);
 
 %Evaluate Phi at x_n:
 Phi_xn = inverse_iterate_point_k(Ps_xn, n_s, alpha, tau, a, b, c) ...
     - iterate_point_k(Pu_zn, n_u, alpha, tau, a, b, c);
 thisError = norm(Phi_xn, inf)
 
 %Evaluate Composition Derivatives:
 DPhi_theta = Dfinvk_circ_P_1D(n_s, xn(1), A0s, B0s, C0s, ...
                            order_1, alpha, tau, a, b, c);
 DPhi_z = Dfk_circ_P(n_u, xn(2), xn(3), A0u, B0u, C0u, N, ...
                      alpha, tau, a, b, c);
 %Compute differential of Phi:
 DPhi_xn = [DPhi_theta, -DPhi_z];
                  
 %Compute the Newton Step:
 xnew = xn - DPhi_xn^(-1)*Phi_xn;
 xn = xnew;
end
 
theta = xnew(2:3);
tauBar = xnew(1);
error = thisError;

  
varargout(1,1)={theta};
varargout(2,1)={tauBar};
varargout(3,1) = {error};

