function varargout = homoclinicPoint_p0_prodSpace_intval(theta_0, xn_0, tau_0, n_u, n_s, ...
    Pu1, Pu2, Pu3, Ps1, Ps2, Ps3, alpha, tau, a, b, c)



K = n_u + n_s;
Kmid = ceil(K/2);

theta_n = intval(theta_0);
xn = intval(xn_0);
tau_n = intval(tau_0);
x = intval(zeros(3*K, 1));
Fx = intval(zeros(3*K, 1));

numLoops = 0;
lastError = inf;
loopAgain = 1;

while ((loopAgain == 1) & (numLoops < 25))
 
 numLoops = numLoops + 1;   
 
 %Compute the Newton Step:
 
 x(1:2) = theta_n;
 x(3:(3*K - 1)) = xn;
 x(3*K) = tau_n;
 
 [Fx(1:2), Fx(3:(3*K-1)), Fx(3*K)] = F_prod_intval(theta_n, xn, tau_n, n_u, n_s, ...
    Pu1, Pu2, Pu3, Ps1, Ps2, Ps3, alpha, tau, a, b, c);
 
 DFx = DF_prod_intval(theta_n, xn, tau_n, n_u, n_s, ...
    Pu1, Pu2, Pu3, Ps1, Ps2, Ps3, alpha, tau, a, b, c);


 sizeFx = size(Fx)
 sizeDFX = size(DFx)

 xnew = x - inv(DFx)*Fx;
 
 %Check Error:
 Fx_new = F_prod_intval(xnew(1:2), xnew(3:(3*K-1)), xnew(3*K), n_u, n_s, ...
    Pu1, Pu2, Pu3, Ps1, Ps2, Ps3, alpha, tau, a, b, c);
 


 %lastError = thisError
 thisError = max(sup(abs(Fx_new)))

 if ((thisError > lastError) && (numLoops >= 6))
   loopAgain = 0;
   thisError = lastError;
 else
     lastError = thisError;
     theta_n = intval(mid(xnew(1:2)));
     xn = intval(mid(xnew(3:(3*K-1))));
     tau_n = intval(mid(xnew(3*K)));
 end
end

varargout(1,1)={theta_n};
varargout(2,1)= {xn};
varargout(3,1)={tau_n};
varargout(4,1) = {thisError};

