function [goodComputation, new_nu, delta] = ...
                lorenzApostori_1DrhoPartial_intval(N,L,...
                       sigma, rho, beta, nu, P1, P2, P3, ...
                       rho_P1, rho_P2, rho_P3, ...
                       lambda_series, ...
                       Q, Qinv, delta_hatP, sigmaDom);



                  
lambda_1 = lambda_series(1)                  
lambdaPrime_1 = lambda_series(2)
                                     
P3Pomega1 = convolveSeries_1D_general_intval(P3, rho_P1);
P1Pomega3 = convolveSeries_1D_general_intval(P1, rho_P3);

P2Pomega1 = convolveSeries_1D_general_intval(P2, rho_P1);
P1Pomega2 = convolveSeries_1D_general_intval(P1, rho_P2);


P1_big = intval(zeros(1, 2*N+1));
P2_big = intval(zeros(1, 2*N+1));
P3_big = intval(zeros(1, 2*N+1));

Pomega1_big = intval(zeros(1, 2*N+1));
Pomega2_big = intval(zeros(1, 2*N+1));
Pomega3_big = intval(zeros(1, 2*N+1));

differentialTerm1 = intval(zeros(1, 2*N+1));
differentialTerm2 = intval(zeros(1, 2*N+1));
differentialTerm3 = intval(zeros(1, 2*N+1));


P1_big(1:N+1) = P1;
P2_big(1:N+1) = P2;
P3_big(1:N+1) = P3;

Pomega1_big(1:N+1) = rho_P1;
Pomega2_big(1:N+1) = rho_P2;
Pomega3_big(1:N+1) = rho_P3;


for n = 0:N
    differentialTerm1(n+1) = n*(lambda_series(2)*P1(n+1) + ...
                                lambda_series(1)*rho_P1(n+1));
    differentialTerm2(n+1) = n*(lambda_series(2)*P2(n+1) + ...
                                lambda_series(1)*rho_P2(n+1));
    differentialTerm3(n+1) = n*(lambda_series(2)*P3(n+1) + ...
                                lambda_series(1)*rho_P3(n+1));
end


Error_rhoPartial_1 = -sigma*Pomega1_big + sigma*Pomega2_big + ...
                     -differentialTerm1;
 
                 
Error_rhoPartial_2 = rho*Pomega1_big - P3Pomega1 - P1Pomega3 - ...
                     Pomega2_big + P1_big - differentialTerm2;

Error_rhoPartial_3 = P2Pomega1 + P1Pomega2 - beta*Pomega3_big - ...
                     differentialTerm3;
                 
thisSum1 = 0;
thisSum2 = 0;
thisSum3 = 0;

for n = 0:2*N
    thisSum1 = thisSum1 + abs(Error_rhoPartial_1(n+1))*nu^n;
    thisSum2 = thisSum2 + abs(Error_rhoPartial_2(n+1))*nu^n;
    thisSum3 = thisSum3 + abs(Error_rhoPartial_3(n+1))*nu^n;
end
                               
rhoPartial_sigmaError1 = norm([thisSum1, thisSum2, thisSum3], inf)
 
 
E_N = rhoPartial_sigmaError1              


C4 = norm(Q, inf)*norm(Qinv, inf)

theSum = intval(0);

for m = 1:N
    K_alpha = abs(P1(m+1)) + ...
           max([sup(abs(P2(m+1))), sup(abs(P3(m+1)))]);
        
    theDenom = abs(lambda_1*m);
    theWeight = nu^m;
    theSum = theSum + (K_alpha*theWeight)/theDenom;
end



linCond = abs(lambda_1)/abs(lambda_1)

if ((N+1) <= inf(linCond))
   crashNow = crashHere 
end

theSum

LinearBound = (C4*exp(theSum)*exp(2*delta_hatP/(N+1)))/...
              ((N+1)*abs(lambda_1) - abs(lambda_1))

        
          
E = E_N + (3+norm(lambdaPrime_1, inf)*2*intval('pi')*3/sigmaDom)*delta_hatP

delta_test = LinearBound*E;



goodComputation = 1;
new_nu = exp(-sigmaDom)*nu;
delta = delta_test;








