function [goodComputation, new_nu, delta] = ...
                lorenzApostori_2DrhoPartial_intval(N,L,...
                       sigma, rho, beta, nu, QN1, QN2, QN3, ...
                       QN1_rho, QN2_rho, QN3_rho, ...
                       lambda1_series, lambda2_series, ...
                       Q, Qinv, delta_hatQ, sigmaDom);


                   
lambda_1 = lambda1_series(1);
lambda_2 = lambda2_series(1);
                   
lambdaPrime_1 = lambda1_series(2);
lambdaPrime_2 = lambda2_series(2);

[QN1_int, QN2_int, QN3_int] = ...
    convertToPoly_2D(QN1, QN2, QN3, N);



[QN1_rho_int, QN2_rho_int, QN3_rho_int] = ...
    convertToPoly_2D(QN1_rho, QN2_rho, QN3_rho, N);
                   




%Q3Qomega1 = convolveSeries_2D_general_intval(QN3, QN1_rho);
%Q1Qomega3 = convolveSeries_2D_general_intval(QN1, QN3_rho);

%Q2Qomega1 = convolveSeries_2D_general_intval(QN2, QN1_rho);
%Q1Qomega2 = convolveSeries_2D_general_intval(QN1, QN2_rho);



Q3Qomega1 = QN3_int*QN1_rho_int;
Q1Qomega3 = QN1_int*QN3_rho_int;

Q2Qomega1 = QN2_int*QN1_rho_int;
Q1Qomega2 = QN1_int*QN2_rho_int;

convolutions_done = 1



%Q1_big = intval(zeros(2*N+1, 2*N+1));
%Q2_big = intval(zeros(2*N+1, 2*N+1));
%Q3_big = intval(zeros(2*N+1, 2*N+1));

%Qomega1_big = intval(zeros(2*N+1, 2*N+1));
%Qomega2_big = intval(zeros(2*N+1, 2*N+1));
%Qomega3_big = intval(zeros(2*N+1, 2*N+1));

differentialTerm1 = intval(zeros(2*N+1, 2*N+1));
differentialTerm2 = intval(zeros(2*N+1, 2*N+1));
differentialTerm3 = intval(zeros(2*N+1, 2*N+1));


%Q1_big(1:N+1, 1:N+1) = QN1;
%Q2_big(1:N+1, 1:N+1) = QN2;
%Q3_big(1:N+1, 1:N+1) = QN3;

%Qomega1_big(1:N+1, 1:N+1) = QN1_rho;
%Qomega2_big(1:N+1, 1:N+1) = QN2_rho;
%Qomega3_big(1:N+1, 1:N+1) = QN3_rho;

for n = 0:N
	for m = 0:N
		if (m+n <= N)
		term1 = m*lambda1_series(2)*QN1(m+1, n+1) + ...
              m*lambda1_series(1)*QN1_rho(m+1, n+1) + ...
              n*lambda2_series(2)*QN1(m+1, n+1) + ...
              n*lambda2_series(1)*QN1_rho(m+1, n+1);
		term2 = m*lambda1_series(2)*QN2(m+1, n+1) + ...
              m*lambda1_series(1)*QN2_rho(m+1, n+1) + ...
              n*lambda2_series(2)*QN2(m+1, n+1) + ...
              n*lambda2_series(1)*QN2_rho(m+1, n+1);
		term3 = m*lambda1_series(2)*QN3(m+1, n+1) + ...
              m*lambda1_series(1)*QN3_rho(m+1, n+1) + ...
              n*lambda2_series(2)*QN3(m+1, n+1) + ...
              n*lambda2_series(1)*QN3_rho(m+1, n+1);
		differentialTerm1(m+1, n+1) = term1;
		differentialTerm2(m+1, n+1) = term2;
		differentialTerm3(m+1, n+1) = term3;
		end
	end
end




                  
[DQN1, DQN2, DQN3] = ...
    convertToPoly_2D(differentialTerm1, differentialTerm2, differentialTerm3, N);



%Error_rhoPartial_1 = -sigma*Qomega1_big + sigma*Qomega2_big + ...
%                     -differentialTerm1;
                 
%Error_rhoPartial_2 = rho*Qomega1_big - Q3Qomega1 - Q1Qomega3 - ...
%                     Qomega2_big + Q1_big - differentialTerm2;

%Error_rhoPartial_3 = Q2Qomega1 + Q1Qomega2 - beta*Qomega3_big - ...
%                     differentialTerm3;


Error_rhoPartial_1 = -sigma*QN1_rho_int + sigma*QN2_rho_int + ...
                     -DQN1;
 
                 
Error_rhoPartial_2 = rho*QN1_rho_int - Q3Qomega1 - Q1Qomega3 - ...
                     QN2_rho_int + QN1_int - DQN2;

Error_rhoPartial_3 = Q2Qomega1 + Q1Qomega2 - beta*QN3_rho_int - ...
                     DQN3;
    


boundingError = 1


error_1 = polyval(Error_rhoPartial_1, nu, nu)
error_2 = polyval(Error_rhoPartial_2, nu, nu)
error_3 = polyval(Error_rhoPartial_3, nu, nu)                 
                 
                 
                 
%thisSum1 = intval(0);
%thisSum2 = intval(0);
%thisSum3 = intval(0);

%for n = 0:2*N
%	for m = 0:2*N
%		if (m+n <= 2*N)
%    		thisSum1 = thisSum1 + abs(Error_rhoPartial_1(m+1, n+1))*nu^(n+m);
%    		thisSum2 = thisSum2 + abs(Error_rhoPartial_2(m+1, n+1))*nu^(n+m);
%    		thisSum3 = thisSum3 + abs(Error_rhoPartial_3(m+1, n+1))*nu^(n+m);
%		end
%	end
%end   
                 
           
rhoPartial_sigmaError1 = intval(max([sup(error_1), sup(error_2), sup(error_3)]))

E_N = rhoPartial_sigmaError1


C4 = norm(Q, inf)*norm(Qinv, inf)

theSum = intval(0);

for n = 0:N
    for m = 0:N
        if ((m+n >= 1) & (m+n <= N))
            K_alpha = abs(QN1(m+1, n+1)) + ...
                  max([sup(abs(QN2(m+1, n+1))), sup(abs(QN3(m+1, n+1)))]);
        
            theDenom = abs(lambda_1*m + lambda_2*n);
            theWeight = nu^(m+n);
            theSum = theSum + (K_alpha*theWeight)/theDenom;
        end
    end
end



linCond = abs(lambda_1)/abs(lambda_2)

if ((N+1) <= inf(linCond))
   crashNow = crashHere 
end

LinearBound = (C4*exp(theSum)*exp(2*delta_hatQ/(N+1)))/...
              ((N+1)*abs(lambda_2) - abs(lambda_1))

LambdaPrime = [lambdaPrime_1,              0;
                           0, lambdaPrime_2];          
          
E = E_N + (3+norm(LambdaPrime, inf)*2*intval('pi')*3/sigmaDom)*delta_hatQ

delta_test = LinearBound*E;

goodComputation = 1;
new_nu = exp(-sigmaDom)*nu;
delta = delta_test;










