function varargout=lorenz_1D_manifold_intval(p, lambda, xi, ...
                                      sigma, rho, beta, N, L);

Dfp = lorenzDifferential(p, sigma, rho, beta, L);

P1 = intval(zeros(1, N+1));
P2 = intval(zeros(1, N+1));
P3 = intval(zeros(1, N+1));
  
P1(1) = p(1);
P2(1) = p(2);
P3(1) = p(3);

P1(2) = xi(1);
P2(2) = xi(2);
P3(2) = xi(3);

Id = intval(eye(3));


for n = 2:N
    An = Dfp - (n*lambda)*Id;            
    sn = -L*compute_sn_intval(n, P1, P2, P3, sigma, rho, beta, N);
    vn = An\sn;
    P1(n+1) = vn(1);
    P2(n+1) = vn(2);
    P3(n+1) = vn(3);
end


varargout(1,1)={P1};
varargout(2,1)={P2};
varargout(3,1)={P3};
