function varargout = lorenz_1D_unstableBranch_at0_intval(...
    PN1, PN2, PN3, PN1_rho, PN2_rho, PN3_rho, lambda_series,...
    xi_1_series, xi_2_series, xi_3_series, ...
    M, N, sigma, beta, rho);




PMN1 = intval(zeros(M+1, N+1));
PMN2 = intval(zeros(M+1, N+1));
PMN3 = intval(zeros(M+1, N+1));

PMN1(1, :) = PN1;
PMN2(1, :) = PN2;
PMN3(1, :) = PN3;

PMN1(2, :) = PN1_rho;
PMN2(2, :) = PN2_rho;
PMN3(2, :) = PN3_rho;

PMN1(3:M+1, 2) = xi_1_series(3:M+1)';
PMN2(3:M+1, 2) = xi_2_series(3:M+1)';
PMN3(3:M+1, 2) = xi_3_series(3:M+1)';



Dfp0 = [    -sigma,         sigma,     intval(0);
               rho,    intval(-1),     intval(0);
         intval(0),     intval(0),          -beta];
     
     
Id = intval(eye(3));

lambda = lambda_series(1);

for n = 2:N
	 n
	 N
    for m = 2:M
        A = Dfp0 - n*lambda*Id;
         
        thisTerm1 = intval(0);
        thisTerm2 = intval(0);
        thisTerm3 = intval(0);
        for l = 0:(m-1)
            thisTerm1 = thisTerm1 + lambda_series(m-l+1)*PMN1(l+1, n+1);
            thisTerm2 = thisTerm2 + lambda_series(m-l+1)*PMN2(l+1, n+1);
            thisTerm3 = thisTerm3 + lambda_series(m-l+1)*PMN3(l+1, n+1);
        end
        
        smn_term = ...
            convolution_smn_intval(m,n,PMN1,PMN2,PMN3, sigma, rho, beta, M, N);
        
        smn1 = n*thisTerm1;
        smn2 = n*thisTerm2 + smn_term(2) - PMN1(m, n+1);
        smn3 = n*thisTerm3 - smn_term(3);
        
        b = [smn1;
             smn2;
             smn3];
         
        thisCoeff = A\b;
        
        PMN1(m+1, n+1) = thisCoeff(1);
        PMN2(m+1, n+1) = thisCoeff(2);
        PMN3(m+1, n+1) = thisCoeff(3);
      
    end
end
                          
                                  
                                  
                                  

varargout(1,1)={PMN1};
varargout(2,1)={PMN2};
varargout(3,1)={PMN3};
