function varargout=lorenz_2D_manifold(p, lambda_1, lambda_2, xi_1, xi_2, ...
                                      sigma, rho, beta, N, L);



Dfp = lorenzDifferential(p, sigma, rho, beta, L);

P1 = zeros(N+1, N+1);
P2 = zeros(N+1, N+1);
P3 = zeros(N+1, N+1);
  
P1(1,1) = p(1);
P2(1,1) = p(2);
P3(1,1) = p(3);

P1(2,1) = xi_1(1);
P2(2,1) = xi_1(2);
P3(2,1) = xi_1(3);

P1(1,2) = xi_2(1);
P2(1,2) = xi_2(2);
P3(1,2) = xi_2(3);

Id = eye(3);


for n = 0:N
    for m = 0:N
        if ((m+n >= 2) & (n+m <= N))
            Amn = Dfp - (m*lambda_1 + n*lambda_2)*Id;            
            smn = -L*compute_smn(m, n, P1, P2, P3, sigma, rho, beta, N);
            vmn = Amn\smn;
            P1(m+1, n+1) = vmn(1);
            P2(m+1, n+1) = vmn(2);
            P3(m+1, n+1) = vmn(3);
        end
    end
end


varargout(1,1)={P1};
varargout(2,1)={P2};
varargout(3,1)={P3};
