function varargout=lorenz_2D_manifold_intval_vectorized(...
                                    p, lambda_1, lambda_2, xi_1, xi_2, ...
                                    sigma, rho, beta, N, L);



Dfp = lorenzDifferential_intval(p, sigma, rho, beta, L);

P1 = intval(zeros(N+1, N+1));
P2 = intval(zeros(N+1, N+1));
P3 = intval(zeros(N+1, N+1));
  
P1(1,1) = p(1);
P2(1,1) = p(2);
P3(1,1) = p(3);

P1(2,1) = xi_1(1);
P2(2,1) = xi_1(2);
P3(2,1) = xi_1(3);

P1(1,2) = xi_2(1);
P2(1,2) = xi_2(2);
P3(1,2) = xi_2(3);

Id = intval(eye(3));


for n1 = 2:N
    twoDman_n = n1
    outOf = N
    for m1 = 0:n1
        n = n1 - m1;
        m = m1;
            
        Amn = Dfp - (m*lambda_1 + n*lambda_2)*Id;            
            
            
        %Compute s_mn: (vectorized version)
        A = reshape(P1(1:m+1, 1:n+1), (n+1)*(m+1), 1);
        A = A(2:((n+1)*(m+1)-1));

        B= reshape(P3(1:m+1, 1:n+1), (n+1)*(m+1), 1);
        B = B(2:((n+1)*(m+1)-1));
        B = flipud(B);

        theValue_13 = dot(A, B);
            
        B= reshape(P2(1:m+1, 1:n+1), (n+1)*(m+1), 1);
        B = B(2:((n+1)*(m+1)-1));
        B = flipud(B);

        theValue_12 = dot(A, B);
            
        smn = L*[ intval(0);
                  theValue_13;  
                 -theValue_12];
        vmn = Amn\smn;
        P1(m+1, n+1) = vmn(1);
        P2(m+1, n+1) = vmn(2);
        P3(m+1, n+1) = vmn(3);

    end
end


varargout(1,1)={P1};
varargout(2,1)={P2};
varargout(3,1)={P3};
