function varargout=lorenz_2D_stableBranch_at0_intval(...
    QN1, QN2, QN3, QN1_rho, QN2_rho, QN3_rho, ...
    lambda1_series, lambda2_series, ...
    xi1_1_series, xi1_2_series, xi1_3_series, ...
    xi2_1_series, xi2_2_series, xi2_3_series, ...
    M, N, sigma, beta, rho);




QMN1 = intval(zeros(M+1, N+1, N+1));
QMN2 = intval(zeros(M+1, N+1, N+1));
QMN3 = intval(zeros(M+1, N+1, N+1));

QMN1(1, :, :) = QN1;
QMN2(1, :, :) = QN2;
QMN3(1, :, :) = QN3;

QMN1(2, :, :) = QN1_rho;
QMN2(2, :, :) = QN2_rho;
QMN3(2, :, :) = QN3_rho;

QMN1(3:M+1, 2, 1) = xi1_1_series(3:M+1)';
QMN2(3:M+1, 2, 1) = xi1_2_series(3:M+1)';
QMN3(3:M+1, 2, 1) = xi1_3_series(3:M+1)';

QMN1(3:M+1, 1, 2) = xi2_1_series(3:M+1)';
QMN2(3:M+1, 1, 2) = xi2_2_series(3:M+1)';
QMN3(3:M+1, 1, 2) = xi2_3_series(3:M+1)';



Dfp0 = [    -sigma,         sigma,     intval(0);
               rho,    intval(-1),     intval(0);
         intval(0),     intval(0),          -beta];
Id = intval(eye(3));


lambda1 = lambda1_series(1);
lambda2 = lambda2_series(1);

for n1 = 0:N
	omegaManCoeffLoop = n1
	N
	for n2 = 0:N
   		if ((n1+n2 >= 2) & (n1 + n2 <= N))
			A = Dfp0 - (n1*lambda1 + n2*lambda2)*Id;
			for m = 2:M
				thisTerm1 = intval(0);
        		thisTerm2 = intval(0);
        		thisTerm3 = intval(0);
        		for l = 0:(m-1)
					lambdaTerm = n1*lambda1_series(m-l+1) + n2*lambda2_series(m-l+1);
            		thisTerm1 = thisTerm1 + lambdaTerm*QMN1(l+1, n1+1, n2+1);
            		thisTerm2 = thisTerm2 + lambdaTerm*QMN2(l+1, n1+1, n2+1);
            		thisTerm3 = thisTerm3 + lambdaTerm*QMN3(l+1, n1+1, n2+1);
        		end

				smn1n2_term = ...	
					convolution_smn1n2_intval(m,n1,n2,QMN1,QMN2,QMN3, sigma, rho, beta, M, N);

				
				s1 = thisTerm1;
        		s2 = thisTerm2 + smn1n2_term(2) - QMN1(m, n1+1, n2+1);
        		s3 = thisTerm3 - smn1n2_term(3);
        
        		b = [s1;
            		  s2;
             	     s3];
         
        		thisCoeff = A\b;
        
        		QMN1(m+1, n1+1, n2+1) = thisCoeff(1);
        		QMN2(m+1, n1+1, n2+1) = thisCoeff(2);
        		QMN3(m+1, n1+1, n2+1) = thisCoeff(3);
			end
		end
	end
end
                                  

                                  
                                  

varargout(1,1)={QMN1};
varargout(2,1)={QMN2};
varargout(3,1)={QMN3};
