clear 
format long


%Lorenz Parameters:
sigma = intval('10')                          
beta = intval('8')/intval('3')
rho = intval('13.9265')
%rho = intval('28')



%Parameter Domains:
tau = intval(1.5)
domRad0 = intval(1.0); 


%Parameterization Controls:
M = 15
N = 30

eig_num = 1
scale_eig = 1

%Fixed point at origin:
p0 = [intval(0);
      intval(0);
      intval(0)];
   
  
Dfp0 = [    -sigma,         sigma,     intval(0);
               rho,    intval(-1),     intval(0);
         intval(0),     intval(0),          -beta]

            
[U_temp, Sigma_temp] = eigs(Dfp0.mid);

Sigma_temp

%Verify eigen data plus:
[lambda1, xi1] = ...
     verifyeig(Dfp0, Sigma_temp(1, 1), U_temp(:,1));

 xi1 = scale_eig*xi1
 
 [lambda2, xi2] = ...
     verifyeig(Dfp0, Sigma_temp(2, 2), U_temp(:,2));

 xi2 = scale_eig*xi2
 
 [lambda3, xi3] = ...
     verifyeig(Dfp0, Sigma_temp(3, 3), U_temp(:,3));

 xi3 = scale_eig*xi3
 
 
[lambda_series1, xi_1_series1, xi_2_series1, ...
  delta_lambda1, delta_xi1] = ...
    lorenz_eigValVectValidate_intval(lambda1, xi1, M, tau, scale_eig, ...
                                       sigma, beta, rho);
 
                                   
 [lambda_series2, xi_1_series2, xi_2_series2, ...
  delta_lambda2, delta_xi2] = ...
    lorenz_eigValVectValidate_intval(lambda2, xi2, M, tau, scale_eig, ...
                                       sigma, beta, rho);
 
 
%Eigenvalue and eigenvection 3 have trivial series expansions:                                   
lambda_series3 = intval(zeros(1, M+1));
lambda_series3(1) = lambda3;                                  
                                   
xi_3_series1 = intval(zeros(1, M+1));
xi_3_series2 = intval(zeros(1, M+1));
xi_3_series3 = intval(zeros(1, M+1));
       
xi_3_series3(1) = xi3(3);                                  
                                   
%========================================================================== 
%omega = 0 manifold computations
%========================================================================== 
     

L = intval(1);
                                   
 [P1, P2, P3] = lorenz_1D_manifold_intval(p0, lambda2, xi2, ...
                                      sigma, rho, beta, N, L);

 
 oneD_omega0 = 1                                 
                                  
 [Q1, Q2, Q3] = lorenz_2D_manifold_intval(p0, lambda1, lambda3, ...
                            xi1, xi3, sigma, rho, beta, N, L);
                                         
 stoD_omega0 = 1                                        
                                         
                                         
                                     
%========================================================================== 
%omega = 0 manifold validations
%========================================================================== 
                                          
nu_u = intval(5)   

Eigs0 = [xi1, xi2, xi3]
Eigs0inv = inv(Eigs0)

[goodComputation,delta_hatP] = lorenzApostori_1D_intval(N,L,...
    sigma,rho,beta,nu_u,P1,P2,P3,lambda2, Eigs0, Eigs0inv);                  
                                         
 sup(delta_hatP)                                        
         
 
 
 nu_s = intval('1.2')
 
 
  [goodComputation,delta_hatQ]=lorenzApostori_intval(...
                                 N,L,sigma,rho,beta,nu_s, ...
                                 Q1,Q2,Q3,lambda1,lambda3, ...
                                 Eigs0, Eigs0inv);
 
 
                            
sup(delta_hatQ) 
 
 
 
                                     
%========================================================================== 
%omega = 0 manifold partial derivatives
%========================================================================== 
   

computing_1DrhoPartial = 1
 
 [rho_P1, rho_P2, rho_P3] = lorenz_1D_rhoPartial_at0_intval(...
                                      p0, lambda2, xi2, ...
                                      P1, P2, P3, sigma, ...
                                      rho, beta, N, L);
 
 
  computing_2DrhoPartial = 1                                
                                  
                                  
 [rho_Q1, rho_Q2, rho_Q3] = lorenz_2D_rhoPartial_at0_intval(...
                                p0, lambda1, lambda3, xi1, xi3, ...
                                Q1, Q2, Q3, sigma, rho, beta, N, L);
 
 
 
 

%==========================================================================
%Omega Partial at omega = 0 Residuial:
%==========================================================================

validating_1DrhoPartial = 1



sigma_u = 0.1
                    
[goodComputation, new_nu_u, delta_rhoP] = ...
                lorenzApostori_1DrhoPartial_intval(N,L,...
                       sigma, rho, beta, nu_u/2, P1, P2, P3, ...
                       rho_P1, rho_P2, rho_P3, ...
                       lambda_series2, ...
                       Eigs0, Eigs0inv, ...
                       delta_hatP, sigma_u)


 sup(delta_rhoP)                  
               
 
 
 
%==========================================================================
%Omega Partial at omega = 0; 2D Residuial:
%==========================================================================

%Need to use convert to poly...

sigma_s = 0.1

[goodComputation, new_nu_s, delta_rhoQ] = ...
                lorenzApostori_2DrhoPartial_intval(N,L,...
                       sigma, rho, beta, nu_s, ...
                       Q1, Q2, Q3, ...
                       rho_Q1, rho_Q2, rho_Q3, ...
                       lambda_series1, lambda_series3, ...
                       Eigs0, Eigs0inv, ...
                       delta_hatQ, sigma_s);

outOf2Drho = 1                   
                   

sup(delta_rhoQ)











