function varargout=lorenz_linearSeriesAtOrigin_intval(M, tau, scale_eig, ...
                            sigma, beta, rho);




   
  
Dfp0 = [    -sigma,         sigma,     intval(0);
               rho,    intval(-1),     intval(0);
         intval(0),     intval(0),          -beta]

     
     
            
[U_temp, Sigma_temp] = eigs(Dfp0.mid);

Sigma_temp

%Verify eigen data plus:
[lambda1, xi1] = ...
     verifyeig(Dfp0, Sigma_temp(1, 1), U_temp(:,1));

 xi1 = scale_eig*xi1
 
 [lambda2, xi2] = ...
     verifyeig(Dfp0, Sigma_temp(2, 2), U_temp(:,2));

 xi2 = scale_eig*xi2
 
 [lambda3, xi3] = ...
     verifyeig(Dfp0, Sigma_temp(3, 3), U_temp(:,3));

 xi3 = scale_eig*xi3
 
 
[lambda_series1, xi_1_series1, xi_2_series1, ...
  delta_lambda1, delta_xi1] = ...
    lorenz_eigValVectValidate_intval(lambda1, xi1, M, tau, scale_eig, ...
                                       sigma, beta, rho);
 
                                   
 [lambda_series2, xi_1_series2, xi_2_series2, ...
  delta_lambda2, delta_xi2] = ...
    lorenz_eigValVectValidate_intval(lambda2, xi2, M, tau, scale_eig, ...
                                       sigma, beta, rho);
 
 
%Eigenvalue and eigenvection 3 have trivial series expansions:                                   

lambda_series3 = intval(zeros(1, M+1));
lambda_series3(1) = lambda3;                                  
  
xi_3_series1 = intval(zeros(1, M+1));
xi_3_series2 = intval(zeros(1, M+1));

xi_1_series3 = intval(zeros(1, M+1));
xi_2_series3 = intval(zeros(1, M+1));
xi_3_series3 = intval(zeros(1, M+1));
       
xi_3_series3(1) = xi3(3); 


%There is no truncation error in lambda3 and xi_3.
delta_lambda3 = 0;             
delta_xi3 = 0;





, xi_1_series1, xi_2_series1





varargout(1,1)={lambda1};
varargout(2,1)={lambda2};
varargout(3,1)={lambda3};
varargout(4,1)={xi1};
varargout(5,1)={xi2};
varargout(6,1)={xi3};
varargout(7,1)={lambda_series1};
varargout(8,1)={lambda_series2};
varargout(9,1)={lambda_series3};
varargout(10,1)={xi_1_series1};
varargout(11,1)={xi_2_series1};
varargout(12,1)={xi_3_series1};
varargout(13,1)={xi_1_series2};
varargout(14,1)={xi_2_series2};
varargout(15,1)={xi_3_series2};
varargout(16,1)={xi_1_series3};
varargout(17,1)={xi_2_series3};
varargout(18,1)={xi_3_series3};
varargout(19,1)={delta_lambda1};
varargout(20,1)={delta_lambda2};
varargout(21,1)={delta_lambda3};
varargout(22,1)={delta_xi1};
varargout(23,1)={delta_xi2};
varargout(24,1)={delta_xi3};






