clear 
format long


%Lorenz Parameters:
sigma = intval('10')                          
beta = intval('8')/intval('3')
rho = intval('13.9265')
%rho = intval('28')

%Parameter Domains:
tau = intval(1.5)
domRad0 = intval(1.0); 


%Parameterization Controls:
M = 15
N = 30

eig_num = 1
scale_eig = 1

%Fixed point at origin:
p0 = [intval(0);
      intval(0);
      intval(0)];
   
  
Dfp0 = [    -sigma,         sigma,     intval(0);
               rho,    intval(-1),     intval(0);
         intval(0),     intval(0),          -beta]

            
[U_temp, Sigma_temp] = eigs(Dfp0.mid);

Sigma_temp

%Verify eigen data plus:
[lambda1, xi1] = ...
     verifyeig(Dfp0, Sigma_temp(1, 1), U_temp(:,1));

 xi1 = scale_eig*xi1
 
 [lambda2, xi2] = ...
     verifyeig(Dfp0, Sigma_temp(2, 2), U_temp(:,2));

 xi2 = scale_eig*xi2
 
 
[lambda_series1, xi_1_series1, xi_2_series1, ...
  delta_lambda1, delta_xi1] = ...
    lorenz_eigValVectValidate_intval(lambda1, xi1, M, tau, scale_eig, ...
                                       sigma, beta, rho);
 
                                   
 [lambda_series2, xi_1_series2, xi_2_series2, ...
  delta_lambda2, delta_xi2] = ...
    lorenz_eigValVectValidate_intval(lambda2, xi2, M, tau, scale_eig, ...
                                       sigma, beta, rho);
 
 
 
 
 

                                   
                                   
                                   
                                   
                                   