function f = matrixSeries_formalInverse_intval(A, M)

temp = size(A);
dim = temp(1)

if dim == 1
   
    A_0 = A(1)
    B = intval(zeros(dim,M+1));
    B(1, 1) = 1/A_0;

    for m = 1:M
        thisMatCoeff = intval(0);
        for k = 0:m-1
            thisMatCoeff = thisMatCoeff + ...
                    A(1, m-k+1)*B(1, k+1);
        end
        B(1, m+1) = -B(1, 1)*thisMatCoeff;
    end
    
else

    A_0 = A(:,:, 1)
    B = intval(zeros(dim, dim,M+1));
    B(:, :, 1) = inv(A_0);

    for m = 1:M
        thisMatCoeff = intval(zeros(dim, dim));
        for k = 0:m-1
            thisMatCoeff = thisMatCoeff + ...
                    A(1:dim, 1:dim, m-k+1)*B(1:dim, 1:dim, k+1);
        end
        B(:, :, m+1) = -B(:, :, 1)*thisMatCoeff;
    end
end

f = B;

