function E_N= residual_1D_rhoPartial_at0_intval(PN1, PN2, PN3, ...
    PN1_rho, PN2_rho, PN3_rho, ...
    lambda_series, domRad0, sigma, beta, rho, N)





P3Pomega1 = convolveSeries_1D_general_intval(PN3, PN1_rho);
P1Pomega3 = convolveSeries_1D_general_intval(PN1, PN3_rho);

P2Pomega1 = convolveSeries_1D_general_intval(PN2, PN1_rho);
P1Pomega2 = convolveSeries_1D_general_intval(PN1, PN2_rho);


P1_big = intval(zeros(1, 2*N+1));
P2_big = intval(zeros(1, 2*N+1));
P3_big = intval(zeros(1, 2*N+1));

Pomega1_big = intval(zeros(1, 2*N+1));
Pomega2_big = intval(zeros(1, 2*N+1));
Pomega3_big = intval(zeros(1, 2*N+1));

differentialTerm1 = intval(zeros(1, 2*N+1));
differentialTerm2 = intval(zeros(1, 2*N+1));
differentialTerm3 = intval(zeros(1, 2*N+1));


P1_big(1:N+1) = PN1;
P2_big(1:N+1) = PN2;
P3_big(1:N+1) = PN3;

Pomega1_big(1:N+1) = PN1_rho;
Pomega2_big(1:N+1) = PN2_rho;
Pomega3_big(1:N+1) = PN3_rho;


for n = 0:N
    differentialTerm1(n+1) = n*(lambda_series(2)*PN1(n+1) + ...
                                lambda_series(1)*PN1_rho(n+1));
    differentialTerm2(n+1) = n*(lambda_series(2)*PN2(n+1) + ...
                                lambda_series(1)*PN2_rho(n+1));
    differentialTerm3(n+1) = n*(lambda_series(2)*PN3(n+1) + ...
                                lambda_series(1)*PN3_rho(n+1));
end


Error_rhoPartial_1 = -sigma*Pomega1_big + sigma*Pomega2_big + ...
                     -differentialTerm1;
 
                 
Error_rhoPartial_2 = rho*Pomega1_big - P3Pomega1 - P1Pomega3 - ...
                     Pomega2_big + P1_big - differentialTerm2;

Error_rhoPartial_3 = P2Pomega1 + P1Pomega2 - beta*Pomega3_big - ...
                     differentialTerm3;
                 
thisSum1 = intval(0);
thisSum2 = intval(0);
thisSum3 = intval(0);

for n = 0:2*N
    thisSum1 = thisSum1 + abs(Error_rhoPartial_1(n+1))*domRad0^n;
    thisSum2 = thisSum2 + abs(Error_rhoPartial_2(n+1))*domRad0^n;
    thisSum3 = thisSum3 + abs(Error_rhoPartial_3(n+1))*domRad0^n;
end
                               
rhoPartial_sigmaError1 = max([sup(thisSum1), ... 
                              sup(thisSum2), ...  
                              sup(thisSum3)])





E_N = rhoPartial_sigmaError1;

