function E_N= residual_2D_rhoPartial_at0_intval(QN1, QN2, QN3, ...
    QN1_rho, QN2_rho, QN3_rho, ...
    lambda1_series, lambda2_series, lambda3_series, ...
    domRad0, sigma, beta, rho, N)



Q3Qomega1 = convolveSeries_2D_general_intval(QN3, QN1_rho);
Q1Qomega3 = convolveSeries_2D_general_intval(QN1, QN3_rho);

Q2Qomega1 = convolveSeries_2D_general_intval(QN2, QN1_rho);
Q1Qomega2 = convolveSeries_2D_general_intval(QN1, QN2_rho);


Q1_big = intval(zeros(2*N+1, 2*N+1));
Q2_big = intval(zeros(2*N+1, 2*N+1));
Q3_big = intval(zeros(2*N+1, 2*N+1));

Qomega1_big = intval(zeros(2*N+1, 2*N+1));
Qomega2_big = intval(zeros(2*N+1, 2*N+1));
Qomega3_big = intval(zeros(2*N+1, 2*N+1));

differentialTerm1 = intval(zeros(2*N+1, 2*N+1));
differentialTerm2 = intval(zeros(2*N+1, 2*N+1));
differentialTerm3 = intval(zeros(2*N+1, 2*N+1));


Q1_big(1:N+1, 1:N+1) = QN1;
Q2_big(1:N+1, 1:N+1) = QN2;
Q3_big(1:N+1, 1:N+1) = QN3;

Qomega1_big(1:N+1, 1:N+1) = QN1_rho;
Qomega2_big(1:N+1, 1:N+1) = QN2_rho;
Qomega3_big(1:N+1, 1:N+1) = QN3_rho;

for n = 0:N
	for m = 0:N
		if (m+n <= N)
		term1 = m*lambda1_series(2)*QN1(m+1, n+1) + ...
              m*lambda1_series(1)*QN1_rho(m+1, n+1) + ...
              n*lambda2_series(2)*QN1(m+1, n+1) + ...
              n*lambda2_series(1)*QN1_rho(m+1, n+1);
		term2 = m*lambda1_series(2)*QN2(m+1, n+1) + ...
              m*lambda1_series(1)*QN2_rho(m+1, n+1) + ...
              n*lambda2_series(2)*QN2(m+1, n+1) + ...
              n*lambda2_series(1)*QN2_rho(m+1, n+1);
		term3 = m*lambda1_series(2)*QN3(m+1, n+1) + ...
              m*lambda1_series(1)*QN3_rho(m+1, n+1) + ...
              n*lambda2_series(2)*QN3(m+1, n+1) + ...
              n*lambda2_series(1)*QN3_rho(m+1, n+1);
		differentialTerm1(m+1, n+1) = term1;
		differentialTerm2(m+1, n+1) = term2;
		differentialTerm3(m+1, n+1) = term3;
		end
	end
end



Error_rhoPartial_1 = -sigma*Qomega1_big + sigma*Qomega2_big + ...
                     -differentialTerm1;
 
                 
Error_rhoPartial_2 = rho*Qomega1_big - Q3Qomega1 - Q1Qomega3 - ...
                     Qomega2_big + Q1_big - differentialTerm2;

Error_rhoPartial_3 = Q2Qomega1 + Q1Qomega2 - beta*Qomega3_big - ...
                     differentialTerm3;
                 
thisSum1 = intval(0);
thisSum2 = intval(0);
thisSum3 = intval(0);

for n = 0:2*N
	for m = 0:2*N
		if (m+n <= 2*N)
    		thisSum1 = thisSum1 + abs(Error_rhoPartial_1(m+1, n+1))*domRad0^(n+m);
    		thisSum2 = thisSum2 + abs(Error_rhoPartial_2(m+1, n+1))*domRad0^(n+m);
    		thisSum3 = thisSum3 + abs(Error_rhoPartial_3(m+1, n+1))*domRad0^(n+m);
		end
	end
end   
                 
           
rhoPartial_sigmaError1 = max([sup(thisSum1), sup(thisSum2), sup(thisSum3)])




E_N = rhoPartial_sigmaError1;






