function E_N= residual_2D_rhoPartial_at0_intval_poly(...
    QN1, QN2, QN3, QN1_rho, QN2_rho, QN3_rho, ...
    lambda1_series, lambda2_series, lambda3_series, ...
    domRad0, sigma, beta, rho, N)



[QN1_poly, QN2_poly, QN3_poly] = ...
    convertToPoly_2D(QN1, QN2, QN3, N);



[QN1rho_poly, QN2rho_poly, QN3rho_poly] = ...
    convertToPoly_2D(QN1_rho, QN2_rho, QN3_rho, N);

Q3Qomega1 = QN3_poly*QN1rho_poly;
Q1Qomega3 = QN1_poly*QN3rho_poly;

Q2Qomega1 = QN2_poly*QN1rho_poly;
Q1Qomega2 = QN1_poly*QN2rho_poly;


differentialTerm1 = intval(zeros(2*N+1, 2*N+1));
differentialTerm2 = intval(zeros(2*N+1, 2*N+1));
differentialTerm3 = intval(zeros(2*N+1, 2*N+1));


for n1 = 0:N
	for m1 = 0:n1
        n = n1-m1;
        m = m1;
		term1 = m*lambda1_series(2)*QN1(m+1, n+1) + ...
              m*lambda1_series(1)*QN1_rho(m+1, n+1) + ...
              n*lambda2_series(2)*QN1(m+1, n+1) + ...
              n*lambda2_series(1)*QN1_rho(m+1, n+1);
		term2 = m*lambda1_series(2)*QN2(m+1, n+1) + ...
              m*lambda1_series(1)*QN2_rho(m+1, n+1) + ...
              n*lambda2_series(2)*QN2(m+1, n+1) + ...
              n*lambda2_series(1)*QN2_rho(m+1, n+1);
		term3 = m*lambda1_series(2)*QN3(m+1, n+1) + ...
              m*lambda1_series(1)*QN3_rho(m+1, n+1) + ...
              n*lambda2_series(2)*QN3(m+1, n+1) + ...
              n*lambda2_series(1)*QN3_rho(m+1, n+1);
		differentialTerm1(m+1, n+1) = term1;
		differentialTerm2(m+1, n+1) = term2;
		differentialTerm3(m+1, n+1) = term3;
	end
end


[diffTerm1_poly, diffTerm2_poly, diffTerm3_poly] = ...
    convertToPoly_2D(differentialTerm1, ...
                     differentialTerm2, ...
                     differentialTerm3, ...
                     N);


Error_rhoPartial_1 = -sigma*QN1rho_poly + sigma*QN2rho_poly + ...
                     -diffTerm1_poly;
 
                 
Error_rhoPartial_2 = rho*QN1rho_poly - Q3Qomega1 - Q1Qomega3 - ...
                     QN2rho_poly + QN1_poly - diffTerm2_poly;

Error_rhoPartial_3 = Q2Qomega1 + Q1Qomega2 - beta*QN3rho_poly - ...
                     diffTerm3_poly;

                 
                 
thisSum1 = polyval(abs(Error_rhoPartial_1), domRad0, domRad0);                 
thisSum2 = polyval(abs(Error_rhoPartial_2), domRad0, domRad0); 
thisSum3 = polyval(abs(Error_rhoPartial_3), domRad0, domRad0); 
 
                            
rhoPartial_sigmaError1 = ...
    intval(max([sup(thisSum1), sup(thisSum2), sup(thisSum3)]))




E_N = rhoPartial_sigmaError1;






