function varargout=validateUnstableBranch_Henon(...
    P_MN1, P_MN2, ...
    x_M, y_M, delta_pM, lambda_series, delta_lambda, ...
    Lambda_powers, delta_powers, ...
    Q_omega_sigmaNorm, Q_omegaInv_sigmaNorm, delta_xi, ...
    tauBar, nu, s, M, N, a, b);





%==========================================================================
% Validate the coefficient tails:
%==========================================================================
                
%Compute the M_alpha terms:

M_alphas(1) = intval(1);
M_alphas(2) = intval(1);

for n = 2:N
    termZero = abs(lambda_series(1) - Lambda_powers(1, n+1));
    thisSum = intval(0);
    for m = 1:M
        thisSum = thisSum + ...
            abs(lambda_series(m+1) - ...
                Lambda_powers(m+1, n+1))*tauBar^m;
    end
    boundFromZero = termZero - thisSum - ...
                   (delta_lambda + delta_powers(n-1));
    if (inf(boundFromZero) <= 0)
        n
       crashM_alpha = tauTooBig   
    end
    M_alphas(n+1) = 1/boundFromZero;
end
                
                
%Compute the alpha coeffieicnt polynomial a-posteriori error:

delta_A = 2*abs(a)*delta_pM

p2_poly = convertToPoly_1D1D(y_M, M);
p2_bound = polyval(abs(p2_poly), tauBar)

error_aPosPoly(1) = intval(0);
error_aPosPoly(2) = intval(0);

delta_sn(1) = delta_pM;
delta_sn(2) = delta_xi;
epsilon_n(1) = intval(0);
epsilon_n(2) = intval(0);
delta_hn(1) = delta_pM;
delta_hn(2) = delta_xi;

b_plus_omega = convertToPoly_1D1D([b 1], 1);
b_plus_omega_squared = b_plus_omega*b_plus_omega;

for n = 2:N
   lambda_n_poly = convertToPoly_1D1D(Lambda_powers(:, n+1)', M);
   
   a_n1_poly = convertToPoly_1D1D(P_MN1(:, n+1)', M);
   a_n2_poly = convertToPoly_1D1D(P_MN2(:, n+1)', M);
   
   
   s_n = convertToPoly_1D1D(intval(zeros(1, M+1)), M);
   deltaTerm = intval(0);
   for k = 1:(n-1)
       a_nk = convertToPoly_1D1D(P_MN2(:, n-k+1)', M);
       a_k = convertToPoly_1D1D(P_MN2(:, k+1)', M);
       s_n = s_n + a_nk*a_k;
       deltaTerm = deltaTerm + ...
                  polyval(abs(a_nk), tauBar)*delta_sn(k+1) + ...
                  polyval(abs(a_k), tauBar)*delta_sn(n-k+1) + ...
                  delta_sn(n-k+1)*delta_sn(k+1);
   end
   delta_sn(n+1) = abs(a)*deltaTerm;
   
   thisError1 = -b_plus_omega*a_n2_poly + ...
       b_plus_omega_squared*lambda_n_poly*a_n1_poly;
   thisError2 = -a*s_n - b_plus_omega_squared*a_n1_poly - ...
       2*a*p2_poly*a_n2_poly + ...
       b_plus_omega_squared*lambda_n_poly*a_n2_poly;
   
   
   
   error_aPosPoly(n+1) = ...
                     intval(max(sup(polyval(abs(thisError1), tauBar)), ... 
                                sup(polyval(abs(thisError2), tauBar))));                     

                            
                                            
    epsilon_n(n+1) = error_aPosPoly(n+1)/(b-tauBar)^2 + delta_sn(n+1) + ...
        (delta_A + delta_powers(n-1))*...
        (polyval(abs(a_n1_poly), tauBar)+ ...
         polyval(abs(a_n2_poly), tauBar)); 


    delta_hn(n+1) = ...
       Q_omega_sigmaNorm*Q_omegaInv_sigmaNorm*M_alphas(n+1)*epsilon_n(n+1);
end

delta_hn'

%==========================================================================
% Total polynomial a-posteriori error:
%==========================================================================

    
[P1_poly, P2_poly] = convertToPoly_2Dbranch_2Dspace(P_MN1, P_MN2, M, N);

bigZeros = intval(zeros(M+1, N+1));
[P1_lambda_poly, P2_lambda_poly] = ...
    convertToPoly_2Dbranch_2Dspace(bigZeros, bigZeros, M, N);
for n = 0:N
    lambda_n_poly = convertToPoly_1D1D(Lambda_powers(:, n+1)', M);
    a1_mn_poly = convertToPoly_1D1D(P_MN1(:, n+1)', M);
    a2_mn_poly = convertToPoly_1D1D(P_MN2(:, n+1)', M);
    
    thetaTerm = polynom(1, n, {'x'});
    thisPoly_1 = a1_mn_poly*lambda_n_poly*thetaTerm;
    thisPoly_2 = a2_mn_poly*lambda_n_poly*thetaTerm;
    P1_lambda_poly = P1_lambda_poly + thisPoly_1;
    P2_lambda_poly = P2_lambda_poly + thisPoly_2;
end

P1_lambda_poly = b_plus_omega_squared*P1_lambda_poly;
P2_lambda_poly = b_plus_omega_squared*P2_lambda_poly;

omega_poly = polynom([0 1], [0 1], {'t'});
one_poly = polynom([1], [0], {'t'});

fP1_poly = b_plus_omega*P2_poly;
fP2_poly = -b_plus_omega_squared + b_plus_omega_squared*P1_poly + ...
                a*P2_poly*P2_poly;

E_MN1 = fP1_poly - P1_lambda_poly;
E_MN2 = fP2_poly - P2_lambda_poly;

epsilon_MN1 = polyval(abs(E_MN1), tauBar, nu)
epsilon_MN2 = polyval(abs(E_MN2), tauBar, nu)
epsilon_MN = epsilon_MN1 + epsilon_MN2


%==========================================================================
% Total a-posteriori error
%==========================================================================



lambda_poly = convertToPoly_1D1D(lambda_series, M);
mu_supStar = polyval(abs(lambda_poly), tauBar) + delta_lambda

delta_H = intval(0);
delta_N = intval(0);
for n = 0:N
   delta_H = delta_H + ...
       delta_hn(n+1)*(mu_supStar^n)*(nu^n);
   delta_N = delta_N + delta_hn(n+1)*(nu^n);
end

thisTerm = intval(0);
for m = 0:M
   thisTerm = thisTerm +  ...
        max(sup(abs(P_MN1(m+1, 2))), sup(abs(P_MN2(m+1, 2))))*...
        delta_lambda*(tauBar^m)*nu;
end

for n = 2:N
    for m = 0:M
        thisTerm = thisTerm + ...
            max(sup(abs(P_MN1(m+1, n+1))), sup(abs(P_MN2(m+1, n+1))))*...
            delta_powers(n-1)*(tauBar^m)*(nu^n);
    end
end


norm_PMN1 = polyval(abs(P1_poly), tauBar, nu);
norm_PMN2 = polyval(abs(P2_poly), tauBar, nu);
norm_PMN = intval(max(sup(norm_PMN1), sup(norm_PMN1)));

epsilon_N = epsilon_MN/(b-tauBar)^2 + ...
    thisTerm + delta_H + ...
    intval(max(sup((abs(b)+tauBar)*(delta_N + 2*abs(a)*norm_PMN*delta_N)...
    + abs(a)*delta_N^2), sup((abs(b)+tauBar)*delta_N)));



%==========================================================================
%Complete Validation:
%==========================================================================


mu_supStar

rho_prime = norm_PMN + delta_H
rho = rho_prime + s

%Bound on the differential inverse:
M = intval(1) + (2*abs(a)/(abs(b) - tauBar))*rho_prime

%Bound on second derivatives:
M1 = 2*abs(a)/(b-tauBar)^2

%Number of non-zero second derivatives:
M2 = 1

%dimension:
dim = 2

%Check order condition:
orderCheck = M*(mu_supStar)^(N+1)

if sup(orderCheck) >= 1
    crashNow = orderCheckFailed
end

%Bound on Truncation Error:
delta_P = 2*M/(1 - M*(mu_supStar)^(N+1)) * epsilon_N

%Check that bound is good enough:
cond1_num = (1 - M*(mu_supStar)^(N+1))/(2*dim*pi*M*M1*M2)

boundCondition = exp(intval(-1)) * min(inf(cond1_num), inf(s))

if inf(boundCondition) < sup(delta_P)
    crashNow = boundFailed
end


sup(delta_P)


            
varargout(1,1)={delta_P};
varargout(2,1)={delta_hn};


