function f = validate_seriesPowers_intval(...
                       f_M, tau, delta_f, p_M, sigma, pow, M)
                   

tauPrime = tau*exp(-sigma);                   
                   
thisSum = intval(0);
for m = 1:M
    thisSum = thisSum + f_M(m+1)*tau^(m-1);
end
abs(f_M(1))
K = abs(f_M(1)) - tau*thisSum - delta_f;

if inf(K) <= 0
   crashNow = linearBoundFailed_validateSeries 
end



f_M_prime = intval(zeros(1, M));
p_M_prime = intval(zeros(1, M));
for m = 0:M-1
    f_M_prime(m+1) = (m+1)*f_M(m+2);
    p_M_prime(m+1) = (m+1)*p_M(m+2);
end

fMprime_bound = intval(0);
pMprime_bound = intval(0);

for m = 0:M-1
    fMprime_bound = fMprime_bound + abs(f_M_prime(m+1))*tauPrime^(m); 
    pMprime_bound = pMprime_bound + abs(p_M_prime(m+1))*tauPrime^(m);
end

f_bound = intval(0);
pM_bound = intval(0);
for m = 0:M
   f_bound = f_bound + abs(f_M(m+1))*tau^m; 
   pM_bound = pM_bound + abs(p_M(m+1))*tauPrime^m;
end
f_bound = f_bound + delta_f;


fMprime_pM = convolveSeries_1D_general_intval(f_M_prime, p_M);
fM_pMprime = convolveSeries_1D_general_intval(f_M, p_M_prime);

EM = pow*fMprime_pM - fM_pMprime;
aPosError = horner(tauPrime, abs(EM), 2*M-1);

delta_p = ((f_bound/K)^(pow))*tauPrime*(aPosError + ...
                  pow*pM_bound*((2*pi)/(tauPrime*sigma))*delta_f + ...
                     pMprime_bound*delta_f);

f = delta_p                   