function H_alpha_validatedBounds= ...
    validated_coeff_bounds(Q_MN1, Q_MN2, Q_MN3, ...
         Q_omega_sigmaNorm, delta_Q, Q_omegaInv_sigmaNorm, delta_Qinv,...
         resonanceBounds, HM_alpha_bounds, ...
         delta_lambda1, delta_lambda2, delta_xi1, delta_xi2, ...
         p0, tau, L, sigma, rho, beta, M, N)
                          
                                                             
H_alpha_validatedBounds = intval(zeros(N+1, N+1));
delta_s_alpha_bounds = intval(zeros(N+1, N+1));

H_alpha_validatedBounds(1,1) = 0;
H_alpha_validatedBounds(1,2) = delta_xi1;
H_alpha_validatedBounds(2,1) = delta_xi2;

for n1 = 0:N
    validatingCoefSeries = n1
    of_num = N
    for n2 = 0:N
        if (n1+n2 >=2) & (n1+n2 <= N)
            q_m_bound = intval(0);
            delta_s_alpha = intval(0);
            
            for k = 0:n1
                for l = 0:n2
                    q_bound1 = intval(0);
                    q_bound2 = intval(0);
                    thisBound = intval(0);
                    for m = 0:M
                        q_bound1 = q_bound1 + ...
                            norm([Q_MN1(m+1, n1-k+1, n2-l+1),...
                                  Q_MN2(m+1, n1-k+1, n2-l+1), ...
                                  Q_MN3(m+1, n1-k+1, n2-l+1)], ...
                                  inf)*tau^m*...
                                  H_alpha_validatedBounds(k+1, l+1);
                        q_bound2 = q_bound2 + ...
                            norm([Q_MN1(m+1, k+1, l+1),...
                                  Q_MN2(m+1, k+1, l+1), ...
                                  Q_MN3(m+1, k+1, l+1)], ...
                                  inf)*tau^m*...
                                  H_alpha_validatedBounds(n1-k+1, n2-l+1);
                        thisBound = thisBound + q_bound1 + q_bound2 + ...
                            H_alpha_validatedBounds(n1-k+1, n2-l+1)*...
                            H_alpha_validatedBounds(k+1, l+1);    
                    end
                end
            end
            delta_s_alpha_bounds(n1+1, n2+1) = thisBound;
            for m = 0:M
                q_m_bound = q_m_bound + ...
                    norm([Q_MN1(m+1, n1+1, n2+1),...
                          Q_MN2(m+1, n1+1, n2+1), ...
                          Q_MN3(m+1, n1+1, n2+1)], inf)*tau^m;
            end
            H_alpha_validatedBounds(n1+1, n2+1) = ...
            (Q_omega_sigmaNorm + delta_Q)*...
            (Q_omegaInv_sigmaNorm + delta_Qinv)*...
            resonanceBounds(n1+1, n2+1)*...
            (HM_alpha_bounds(n1+1, n2+1) + ...
            delta_s_alpha_bounds(n1+1, n2+1) + ...
            (n1*delta_lambda1 + n2*delta_lambda2)*q_m_bound);    
        end
    end
end
   