function H_alpha_validatedBounds= ...
    validated_coeff_bounds_optimized1(Q_MN1, Q_MN2, Q_MN3, ...
         Q_omega_sigmaNorm, delta_Q, Q_omegaInv_sigmaNorm, delta_Qinv,...
         resonanceBounds, HM_alpha_bounds, ...
         delta_lambda1, delta_lambda2, delta_xi1, delta_xi2, ...
         p0, tau, L, sigma, rho, beta, M, N)
                          
                                                             
H_alpha_validatedBounds = intval(zeros(N+1, N+1));
delta_s_alpha_bounds = intval(zeros(N+1, N+1));

H_alpha_validatedBounds(1,1) = 0;
H_alpha_validatedBounds(1,2) = delta_xi1;
H_alpha_validatedBounds(2,1) = delta_xi2;

for indexNum = 2:N
    validatingCoefSeries = indexNum
    of_num = N
    for thisIndex = 0:indexNum
        n1 = indexNum - thisIndex;
        n2 = thisIndex;
           
        delta_s_alpha = intval(0);
            
        for k = 0:n1
            for l = 0:n2
                tempVect11 = Q_MN1(:, n1-k+1, n2-l+1)';
                q_bound1_poly = convertToPoly_1D1D(tempVect11, M);
                tempVect21 = Q_MN2(:, n1-k+1, n2-l+1)';
                q_bound2_poly = convertToPoly_1D1D(tempVect21, M);
                tempVect31 = Q_MN3(:, n1-k+1, n2-l+1)';
                q_bound3_poly = convertToPoly_1D1D(tempVect31, M);
                   
                tempVect12 = Q_MN1(:, k+1, l+1)';
                q_bound4_poly = convertToPoly_1D1D(tempVect12, M);
                tempVect22 = Q_MN2(:, k+1, l+1)';
                q_bound5_poly = convertToPoly_1D1D(tempVect22, M);
                tempVect32 = Q_MN3(:, k+1, l+1)';
                q_bound6_poly = convertToPoly_1D1D(tempVect32, M);
                    
                polyBound1 = norm(...
                    [polyval(abs(q_bound1_poly), tau),...
                     polyval(abs(q_bound2_poly), tau),...
                     polyval(abs(q_bound3_poly), tau)], ...
                     inf);
                    
                   
                polyBound2 = norm(...
                    [polyval(abs(q_bound4_poly), tau), ...
                     polyval(abs(q_bound5_poly), tau), ...
                     polyval(abs(q_bound6_poly), tau)], ...
                     inf);
                    
                    
                delta_s_alpha = delta_s_alpha + ...
                 polyBound1*H_alpha_validatedBounds(k+1, l+1) + ...
                 polyBound2*H_alpha_validatedBounds(n1-k+1, n2-l+1) + ...
                 H_alpha_validatedBounds(k+1, l+1)*....
                     H_alpha_validatedBounds(n1-k+1, n2-l+1);
                    
                   
                    
                    %for m = 0:M
                    %    q_bound1 = q_bound1 + ...
                    %        norm([Q_MN1(m+1, n1-k+1, n2-l+1),...
                    %              Q_MN2(m+1, n1-k+1, n2-l+1), ...
                    %              Q_MN3(m+1, n1-k+1, n2-l+1)], ...
                    %              inf)*tau^m*...
                    %              H_alpha_validatedBounds(k+1, l+1);
                    %    q_bound2 = q_bound2 + ...
                    %        norm([Q_MN1(m+1, k+1, l+1),...
                    %              Q_MN2(m+1, k+1, l+1), ...
                    %              Q_MN3(m+1, k+1, l+1)], ...
                    %              inf)*tau^m*...
                    %              H_alpha_validatedBounds(n1-k+1, n2-l+1);
                    %    thisBound = thisBound + q_bound1 + q_bound2 + ...
                    %        H_alpha_validatedBounds(n1-k+1, n2-l+1)*...
                    %        H_alpha_validatedBounds(k+1, l+1);    
                    %end
            end
        end
        delta_s_alpha;
        delta_s_alpha_bounds(n1+1, n2+1) = delta_s_alpha;
            
        %stopNow = stopHere
        tempVect1 = Q_MN1(:, n1-k+1, n2-l+1)';
        q_bound1_poly = convertToPoly_1D1D(tempVect1, M);   
        tempVect2 = Q_MN2(:, n1-k+1, n2-l+1)';
        q_bound2_poly = convertToPoly_1D1D(tempVect2, M);
        tempVect3 = Q_MN3(:, n1-k+1, n2-l+1)';
        q_bound3_poly = convertToPoly_1D1D(tempVect3, M);
        
        
        q_m_bound = norm(...
                    [polyval(abs(q_bound1_poly), tau), ...
                     polyval(abs(q_bound2_poly), tau), ...
                     polyval(abs(q_bound3_poly), tau)], ...
                     inf);
        
        
        H_alpha_validatedBounds(n1+1, n2+1) = ...
        (Q_omega_sigmaNorm + delta_Q)*...
        (Q_omegaInv_sigmaNorm + delta_Qinv)*...
         resonanceBounds(n1+1, n2+1)*...
        (HM_alpha_bounds(n1+1, n2+1) + ...
         delta_s_alpha_bounds(n1+1, n2+1) + ...
        (n1*delta_lambda1 + n2*delta_lambda2)*q_m_bound);    
    end
end
   